
----------------------------------------------------------------------
-- 	This is taken from Leatrix Maps, and recoded for ViksUI
--  All credit goes to Leatrix
----------------------------------------------------------------------
-- Create locale structure

----------------------------------------------------------------------
-- Leatrix Maps
----------------------------------------------------------------------

-- Hide the map frame title text
WorldMapFrameTitleText:Hide()


----------------------------------------------------------------------
-- Show points of interest
----------------------------------------------------------------------

local dnTex, rdTex = "Dungeon", "Raid"
local pATex, pHTex, pNTex = "TaxiNode_Continent_Alliance", "TaxiNode_Continent_Horde", "TaxiNode_Continent_Neutral"

local PinData = {

	-- Eastern Kingdoms
	[27] =  --[[Dun Morogh]] {{31.1, 37.9, "Gnomeregan", "Dungeon", dnTex},},
	[15] =  --[[Badlands]] {{41.7, 11.6, "Uldaman", "Dungeon", dnTex},},
	[16] =  --[[Uldaman]] {{36.7, 29.4, "Uldaman", "Dungeon", dnTex},},
	[18] =  --[[Tirisfal Glades]] {{82.5, 33.3, "Scarlet Halls" .. ", " .. "Scarlet Monastery", "Dungeon", dnTex},},
	[19] =  --[[Scarlet Monastery Entrance]] {{69.2, 24.4, "Scarlet Monastery", "Dungeon", dnTex}, {78.6, 58.9, "Scarlet Halls", "Dungeon", dnTex},},
	[21] =  --[[Silverpine Forest]] {{44.8, 67.8, "Shadowfang Keep", "Dungeon", dnTex},},
	[22] =  --[[Western Plaguelands]] {{69.6, 73.2, "Scholomance", "Dungeon", dnTex},},
	[23] =  --[[Eastern Plaguelands]] {{27.7, 11.6, "Stratholme: Crusader's Square", "Dungeon", dnTex}, {43.5, 19.4, "Stratholme: The Gauntlet", "Dungeon", dnTex},},
	[30] =  --[[New Tinkertown]] {{30.2, 74.7, "Gnomeregan", "Dungeon", dnTex},},
	[32] =  --[[Searing Gorge]] {{34.9, 83.9, "Blackrock Mountain", "Blackrock Caverns" .. "," .. "Blackrock Depths" .. "|n" .. "Blackrock Spire" .. "," .. "Blackwing Lair" .. "," .. "Molten Core", dnTex}, {23.0, 26.3, "Blackwing Descent", "Raid", rdTex},},
	[33] =  --[[Blackrock Mountain]] {{66.5, 60.7, "Blackrock Caverns", "Dungeon", dnTex}, {64.3, 70.9, "Blackwing Lair", "Raid", rdTex}, {65.9, 41.9, "Blackrock Spire", "Dungeon", dnTex}, {80.3, 40.7, "Lower Blackrock Spire", "Dungeon", dnTex}, {79.0, 33.7, "Upper Blackrock Spire", "Dungeon", dnTex},},
	[34] =  --[[Blackrock Mountain]] {{71.9, 53.5, "Blackrock Caverns", "Dungeon", dnTex},},
	[35] =  --[[Blackrock Mountain]] {{54.3, 83.4, "Molten Core", "Raid", rdTex}, {39.0, 18.3, "Blackrock Depths", "Dungeon", dnTex},},
	[36] =  --[[Burning Steppes]] {{21.0, 37.9, "Blackrock Mountain", "Blackrock Caverns" .. "," .. "Blackrock Depths" .. "|n" .. "Blackrock Spire" .. "," .. "Blackwing Lair" .. "," .. "Molten Core", dnTex}, {23.0, 26.3, "Blackwing Descent", "Raid", rdTex},},
	[37] =  --[[Elwynn Forest]] {{19.1, 36.9, "The Stockade", "Dungeon", dnTex},},
	[42] =  --[[Deadwind Pass]] {{46.9, 74.7, "Karazhan", "Raid", rdTex}, {46.7, 70.2, "Return to Karazhan", "Dungeon", dnTex},},
	[50] =  --[[Northern Stranglethorn]] {{72.1, 32.9, "Zul'Gurub", "Dungeon", dnTex},},
	[51] =  --[[Swamp of Sorrows]] {{69.7, 53.5, "Temple of Atal'Hakkar", "Dungeon", dnTex},},
	[52] =  --[[Westfall]] {{42.6, 71.8, "The Deadmines", "Dungeon", dnTex},},
	[55] =  --[[The Deadmines]] {{25.5, 51.1, "The Deadmines", "Dungeon", dnTex},},
	[84] =  --[[Stormwind City]] {{49.5, 69.5, "The Stockade", "Dungeon", dnTex},},
	[95] =  --[[Ghostlands]] {{82.1, 64.3, "Zul'Aman", "Dungeon", dnTex},},
	[122] =  --[[Isle of Quel'Danas]] {{61.2, 30.9, "Magister's Terrace", "Dungeon", dnTex}, {44.3, 45.6, "Sunwell Plateau", "Raid", rdTex},},
	[203] =  --[[Vashj'ir]] {{49.1, 42.4, "Throne of the Tides", "Dungeon", dnTex},},
	[204] =  --[[Abyssal Depths]] {{70.8, 29.0, "Throne of the Tides", "Dungeon", dnTex},},
	[224] =  --[[Stranglethorn Vale]] {{63.5, 21.6, "Zul'Gurub", "Dungeon", dnTex},},
	[241] =  --[[Twilight Highlands]] {{34.0, 78.0, "The Bastion of Twilight", "Raid", rdTex}, {19.2, 54.0, "Grim Batol", "Dungeon", dnTex},},
	[243] =  --[[Blackrock Depths]] {{68.4, 38.3, "Molten Core", "Raid", rdTex},},
	[244] =  --[[Tol Barad]] {{46.3, 47.9, "Baradin Hold", "Raid", rdTex},},
	[469] =  --[[New Tinkertown]] {{32.6, 37.0, "Gnomeregan", "Dungeon", dnTex},},

	-- Kalimdor
	[10] =  --[[Northern Barrens]] {{38.9, 69.1, "Wailing Caverns", "Dungeon", dnTex},},
	[11] =  --[[Wailing Caverns]] {{55.1, 65.9, "Wailing Caverns", "Dungeon", dnTex},},
	[63] =  --[[Ashenvale]] {{14.2, 13.9, "Blackfathom Deeps", "Dungeon", dnTex},},
	[64] =  --[[Thousand Needles]] {{41.5, 29.4, "Razorfen Downs", "Dungeon", dnTex},},
	[66] =  --[[Desolace]] {{29.1, 62.6, "Maraudon", "Dungeon", dnTex},},
	[67] =  --[[Maraudon]] {{78.2, 56.0, "Maraudon: Foulspore Cavern", "Dungeon", dnTex},},
	[68] =  --[[Maraudon]] {{44.4, 76.8, "Maraudon: Earth Song Falls", "Dungeon", dnTex}, {52.0, 24.5, "Maraudon: The Wicked Grotto", "Dungeon", dnTex},},
	[69] =  --[[Feralas]] {{60.3, 31.3, "Dire Maul: Capital Gardens", "Dungeon", dnTex}, {64.8, 30.2, "Dire Maul: Warpwood Quarter", "Dungeon", dnTex}, {62.5, 24.9, "Dire Maul: Gordok Commons", "Dungeon", dnTex},},
	[70] =  --[[Dustwallow Marsh]] {{52.2, 75.7, "Onyxia's Lair", "Raid", rdTex},},
	[71] =  --[[Tanaris]] {{39.2, 21.3, "Zul'Farrak", "Dungeon", dnTex}, {64.8, 50.0, "Caverns of Time", "Black Morass" .. ", " .. "Culling of Stratholme" .. ",|n" .. "Dragon Soul" .. ", " .. "End Time" .. ", " .. "Hour of Twilight" .. ",|n" .. "Hyjal Summit" .. ", " .. "Old Hillsbrad Foothills" .. ",|n" .. "Well of Eternity", dnTex},},
	[75] =  --[[Caverns of Time]] {{57.5, 82.6, "The Culling of Stratholme", "Dungeon", dnTex}, {36.7, 83.0, "The Black Morass", "Dungeon", dnTex}, {22.5, 64.4, "Well of Eternity", "Dungeon", dnTex}, {26.9, 35.8, "Old Hillsbrad Foothills", "Dungeon", dnTex}, {35.5, 15.6, "Hyjal Summit", "Raid", rdTex}, {57.3, 29.6, "End Time", "Dungeon", dnTex}, {61.6, 26.6, "Dragon Soul", "Raid", rdTex}, {66.9, 29.4, "Hour of Twilight", "Dungeon", dnTex},},
	[85] =  --[[Orgrimmar]] {{55.2, 51.2, "Ragefire Chasm", "Dungeon", dnTex},},
	[86] =  --[[Orgrimmar]] {{70.0, 49.2, "Ragefire Chasm", "Dungeon", dnTex},},
	[198] =  --[[Mount Hyjal]] {{47.3, 78.0, "Firelands", "Raid", rdTex},},
	[199] =  --[[Southern Barrens]] {{41.0, 94.6, "Razorfen Kraul", "Dungeon", dnTex},},
	[249] =  --[[Uldum]] {{71.6, 52.2, "Halls of Origination", "Dungeon", dnTex}, {60.5, 64.2, "Lost City of the Tol'vir", "Dungeon", dnTex}, {76.7, 84.4, "The Vortex Pinnacle", "Dungeon", dnTex}, {38.4, 80.6, "Throne of the Four Winds", "Raid", rdTex},},
	[327] =  --[[Ahn'Qiraj: The Fallen Kingdom]] {{46.8, 7.5, "Temple of Ahn'Qiraj", "Raid", rdTex}, {58.9, 14.3, "Ruins of Ahn'Qiraj", "Raid", rdTex},},

	-- Outland
	[100] =  --[[Hellfire Peninsula]] {{46.6, 52.8, "Magtheridon's Lair", "Raid", rdTex}, {47.7, 53.6, "Hellfire Ramparts", "Dungeon", dnTex}, {47.7, 52.0, "The Shattered Halls", "Dungeon", dnTex}, {46.0, 51.8, "The Blood Furnace", "Dungeon", dnTex},},
	[102] =  --[[Zangarmarsh]] {{50.4, 40.9, "Coilfang Reservoir", "Serpentshrine Cavern" .. ", " .. "Slave Pens" .. ",|n" .. "Steamvault" .. ", " .. "Underbog", dnTex},},
	[104] =  --[[Shadowmoon Valley]] {{71.0, 46.4, "Black Temple", "Raid", rdTex},},
	[105] =  --[[Blade's Edge Mountains]] {{68.7, 24.3, "Gruul's Lair", "Raid", rdTex},},
	[108] =  --[[Terokkar Forest]] {{43.2, 65.6, "Sethekk Halls", "Dungeon", dnTex}, {36.1, 65.6, "Auchenai Crypts", "Dungeon", dnTex}, {39.6, 71.0, "Shadow Labyrinth", "Dungeon", dnTex}, {39.7, 60.2, "Mana-Tombs", "Dungeon", dnTex},},
	[109] =  --[[Netherstorm]] {{70.6, 69.7, "The Mechanar", "Dungeon", dnTex}, {73.7, 63.7, "The Eye", "Raid", rdTex}, {71.7, 55.0, "The Botanica", "Dungeon", dnTex}, {74.4, 57.7, "The Arcatraz", "Dungeon", dnTex},},

	-- Northrend
	[114] =  --[[Borean Tundra]] {{27.6, 26.6, "The Nexus", "The Nexus" .. ", " .. "The Oculus" .. ",|n" .. "The Eye of Eternity", dnTex},},
	[115] =  --[[Dragonblight]] {{59.6, 51.1, "Wyrmrest Temple", "The Ruby Sanctum" .. ", " .. "The Obsidian Sanctum", dnTex}, {87.4, 51.1, "Naxxramas", "Raid", rdTex}, {26.2, 49.6, "Azjol-Nerub", "Azjol-Nerub" .. ", " .. "The Old Kingdom", dnTex},},
	[116] =  --[[Grizzly Hills]] {{17.5, 27.0, "Drak'Tharon Keep", "Dungeon", dnTex},},
	[117] =  --[[Howling Fjord]] {{57.3, 46.8, "Utgarde Keep", "Utgarde Keep" .. ", " .. "Utgarde Pinnacle", dnTex},},
	[118] =  --[[Icecrown]] {{53.3, 85.5, "Icecrown Citadel", "Raid", rdTex}, {52.6, 89.4, "The Frozen Halls", "The Forge of Souls" .. ", " .. "The Pit of Saron" .. ",|n" .. "The Halls of Reflection", dnTex}, {74.2, 20.5, "Trial of the Champion", "Dungeon", dnTex}, {75.1, 21.8, "Trial of the Crusader", "Raid", rdTex},},
	[120] =  --[[The Storm Peaks]] {{39.6, 26.9, "Halls of Stone", "Dungeon", dnTex}, {45.4, 21.4, "Halls of Lightning", "Dungeon", dnTex}, {41.6, 17.8, "Ulduar", "Raid", rdTex},},
	[121] =  --[[Zul'Drak]] {{29.0, 83.9, "Drak'Tharon Keep", "Dungeon", dnTex}, {76.2, 21.1, "Gundrak", "Dungeon", dnTex}, {81.2, 28.9, "Gundrak (rear entrance)", "Dungeon", dnTex},},
	[123] =  --[[Wintergrasp]] {{50.5, 16.4, "Vault of Archavon", "Raid", rdTex},},
	[125] =  --[[Dalaran]] {{66.8, 68.2, "The Violet Hold", "Dungeon", dnTex},},

	-- Cataclysm
	[207] =  --[[Deepholm]] {{47.6, 52.0, "The Stonecore", "Dungeon", dnTex},},

	-- Pandaria
	[371] =  --[[The Jade Forest]] {{56.2, 57.9, "Temple of the Jade Serpent", "Dungeon", dnTex},},
	[376] =  --[[Valley of the Four Winds]] {{36.1, 69.2, "Stormstout Brewery", "Dungeon", dnTex},},
	[379] =  --[[Kun-Lai Summit]] {{59.6, 39.2, "Mogu'shan Vaults", "Raid", rdTex}, {36.7, 47.4, "Shado-Pan Monastery", "Dungeon", dnTex},},
	[388] =  --[[Townlong Steppes]] {{34.7, 81.5, "Siege of Niuzao Temple", "Dungeon", dnTex}, {49.7, 68.7, "Throne of Thunder", "Raid", rdTex},},
	[390] =  --[[Vale of Eternal Blossoms]] {{80.9, 32.7, "Mogu'shan Palace", "Dungeon", dnTex}, {72.4, 44.2, "Siege of Orgrimmar", "Raid", rdTex}, {15.8, 74.3, "Gate of the Setting Sun", "Dungeon", dnTex},},
	[422] =  --[[Dread Wastes]] {{38.8, 35.0, "Heart of Fear", "Raid", rdTex},},
	[433] =  --[[The Veiled Stair]] {{48.4, 61.4, "Terrace of Endless Spring", "Raid", rdTex},},
	[504] =  --[[Isle of Thunder]] {{63.6, 32.3, "Throne of Thunder", "Raid", rdTex},},

	-- Draenor
	[525] =  --[[Frostfire Ridge]] {{49.8, 24.7, "Bloodmaul Slag Mines", "Dungeon", dnTex},},
	[534] =  --[[Tanaan Jungle]] {{45.7, 53.5, "Hellfire Citadel", "Raid", rdTex},},
	[535] =  --[[Talador]] {{46.3, 73.9, "Auchindoun", "Dungeon", dnTex},},
	[539] =  --[[Shadowmoon Valley]] {{31.9, 42.5, "Shadowmoon Burial Grounds", "Dungeon", dnTex},},
	[542] =  --[[Spires of Arak]] {{35.6, 33.6, "Skyreach", "Dungeon", dnTex},},
	[543] =  --[[Gorgrond]] {{51.3, 28.6, "Blackrock Foundry", "Raid", rdTex}, {55.2, 31.9, "Grimrail Depot", "Dungeon", dnTex}, {59.6, 45.5, "The Everbloom", "Dungeon", dnTex}, {45.4, 13.5, "Iron Docks", "Dungeon", dnTex},},
	[550] =  --[[Nagrand]] {{32.9, 38.4, "Highmaul", "Raid", rdTex},},
	[622] =  --[[Stormshield]] {{60.8, 38.0, "Stormwind", "Portal", pATex}, {51.4, 50.8, "Ironforge", "Portal", pATex}, {63.3, 64.3, "Darnassus", "Portal", pATex}, {36.4, 41.1, "Lion's Watch", "Portal", pATex, 38445},},
	[624] =  --[[Warspear]] {{53.0, 43.9, "Vol'mar", "Portal", pHTex, 37935}, {60.6, 51.6, "Orgrimmar", "Portal", pHTex}, {50.0, 24.5, "Thunder Bluff", "Portal", pHTex}, {63.2, 24.0, "Undercity", "Portal", pHTex},},

	-- Broken Isles
	[682] =  --[[Felsoul Hold]] {{53.6, 36.8, "Shal'Aran", "Portal", pNTex, 41575,},},
	[684] =  --[[Shattered Locus]] {{40.9, 13.7, "Shal'Aran", "Portal", pNTex, 42230,},},
	[680] =  --[[Suramar]] {{21.6, 28.5, "Falanaar", "Portal", pNTex, 42230,}, {39.7, 76.2, "Felsoul Hold", "Portal", pNTex, 41575,}, {30.8, 11.0, "Moon Guard Stronghold", "Portal", pNTex, 43808,}, {43.7, 79.2, "Lunastre Estate", "Portal", pNTex, 43811,}, {36.1, 47.2, "Ruins of Elune'eth", "Portal", pNTex, 40956,}, {52.0, 78.8, "Evermoon Terrace", "Portal", pNTex, 42889,}, {43.4, 60.6, "Sanctum of Order", "Portal", pNTex, 43813,}, {42.0, 35.2, "Tel'anor", "Portal", pNTex, 43809,}, {64.0, 60.4, "Twilight Vineyards", "Portal", pNTex, 44084,}, {54.5, 69.4, "Astravar Harbor", "Portal", pNTex, 44740,}, {47.7, 81.4, "The Waning Crescent", "Portal", pNTex, 42487, 38649,},},

}

local VikMix = CreateFromMixins(MapCanvasDataProviderMixin)

function VikMix:RefreshAllData()

	-- Remove all pins created by Leatrix Maps
	self:GetMap():RemoveAllPinsByTemplate("MapInfoGlobalPinTemplate")

	-- Make new pins
	local pMapID = WorldMapFrame.mapID
	if PinData[pMapID] then
		local count = #PinData[pMapID]
		for i = 1, count do

			-- Do nothing if pinInfo has no entry for zone we are looking at
			local pinInfo = PinData[pMapID][i]
			if not pinInfo then return nil end

			-- Get POI if any quest requirements have been met
			if not pinInfo[6] or pinInfo[6] and not pinInfo[7] and IsQuestFlaggedCompleted(pinInfo[6]) or pinInfo[6] and pinInfo[7] and IsQuestFlaggedCompleted(pinInfo[6]) and not IsQuestFlaggedCompleted(pinInfo[7]) then

				local myPOI = {}
				myPOI["position"] = CreateVector2D(pinInfo[1] / 100, pinInfo[2] / 100)
				myPOI["name"] = pinInfo[3]
				myPOI["description"] = pinInfo[4]
				myPOI["atlasName"] = pinInfo[5]
				self:GetMap():AcquirePin("MapInfoGlobalPinTemplate", myPOI)

			end
		end
	end

end

MapInfoGlobalPinMixin = BaseMapPoiPinMixin:CreateSubPin("PIN_FRAME_LEVEL_DUNGEON_ENTRANCE")

function MapInfoGlobalPinMixin:OnAcquired(myInfo)
	BaseMapPoiPinMixin.OnAcquired(self, myInfo)
end

WorldMapFrame:AddDataProvider(CreateFromMixins(VikMix))

----------------------------------------------------------------------
-- Reveal unexplored areas
----------------------------------------------------------------------

-- Preset map reveal to enabled
local optRevealMap = "On"

-- Create reveal button before reveal data loads
local revBtn = CreateFrame("Button", nil, WorldMapFrame.BorderFrame)
revBtn:SetSize(1, 24)
revBtn:SetPoint("TOPRIGHT", -60, 0)
revBtn:SetHitRectInsets(0, 0, 0, 0)
revBtn:Show()

-- Create fontstring
revBtn.f = revBtn:CreateFontString(nil, 'ARTWORK', 'GameFontNormal')
revBtn.f:SetAllPoints()
revBtn.f:SetText("|TInterface\\BUTTONS\\UI-MicroStream-Red:0|t" .. "Reveal")
revBtn.f:SetJustifyH("RIGHT")

-- Set button width
revBtn:SetWidth(revBtn.f:GetStringWidth() + 40)

-- Function to set button texture
local function SetRevBtn()
	revBtn:Hide()
	if optRevealMap == "On" then
		revBtn.f:SetText("|TInterface\\BUTTONS\\UI-MicroStream-Green:0|t" .. "Hide")
	else
		revBtn.f:SetText("|TInterface\\BUTTONS\\UI-MicroStream-Red:0|t" .. "Reveal")
	end
	revBtn:Show()
end

revBtn:HookScript("OnEnter", function()
	if optRevealMap == "On" then
		revBtn.f:SetText("|TInterface\\BUTTONS\\UI-MicroStream-Green:0|t|cffffffaa" .. "Hide")
	else
		revBtn.f:SetText("|TInterface\\BUTTONS\\UI-MicroStream-Red:0|t|cffffffaa" .. "Reveal")
	end
end)

revBtn:HookScript("OnLeave", function()
	if optRevealMap == "On" then
		revBtn.f:SetText("|TInterface\\BUTTONS\\UI-MicroStream-Green:0|t|cffffd100" .. "Hide")
	else
		revBtn.f:SetText("|TInterface\\BUTTONS\\UI-MicroStream-Red:0|t|cffffd100" .. "Reveal")
	end
end)

-- Set button texture on startup
SetRevBtn()

-- Map data
local MapInfoData = {

	----------------------------------------------------------------------
	-- Eastern Kingdoms
	----------------------------------------------------------------------

	--[[Abyssal Depths]] [209] = {["225:250:415:183"] = "440973", ["306:293:162:210"] = "440969, 440970, 440971, 440972", ["370:385:412:283"] = "440965, 440966, 440967, 440968", ["298:251:315:110"] = "440963, 440964", ["363:262:275:32"] = "440959, 440960, 440961, 440962", ["267:374:266:280"] = "440955, 440956, 440957, 440958", ["491:470:497:0"] = "440951, 440952, 440953, 440954", ["371:394:50:263"] = "440947, 440948, 440949, 440950", },
	--[[Arathi Highlands]] [15] = {["260:220:476:359"] = "270353, 438184", ["306:248:430:249"] = "270343, 438175", ["210:227:404:144"] = "270350", ["183:238:506:126"] = "270360", ["270:271:581:118"] = "270336, 438176, 438177, 438178", ["196:270:293:145"] = "270352, 438180", ["252:258:327:367"] = "270342, 438166", ["237:252:261:416"] = "270348", ["220:287:85:24"] = "270347, 438168", ["227:268:132:105"] = "270351, 438179", ["249:278:171:123"] = "270349, 438167", ["284:306:21:269"] = "270358, 438181, 438182, 438183", ["273:268:77:400"] = "270361, 438170, 438171, 438172", ["228:227:201:312"] = "270346", ["212:305:0:144"] = "438173, 438174", ["215:188:332:273"] = "438169",},
	--[[Badlands]] [16] = {["252:353:0:66"] = "270529, 442225", ["274:448:407:220"] = "270540, 270527, 442226, 442227", ["328:313:175:178"] = "442232, 442233, 442234, 442235", ["266:210:336:0"] = "442238, 442239", ["214:285:144:99"] = "270525, 270521", ["469:613:533:55"] = "270534, 270551, 270546, 270535, 442236, 442237", ["209:196:411:116"] = "270532", ["236:260:504:19"] = "270530, 442231", ["339:347:0:281"] = "270520, 442228, 442229, 442230", ["285:223:230:68"] = "270543, 442224", ["342:353:230:315"] = "270522, 270550, 270528, 270536",},
	--[[Blasted Lands]] [18] = {["272:206:258:0"] = "391435, 438231", ["295:205:530:6"] = "391432, 438232", ["218:183:459:97"] = "391430", ["238:195:225:110"] = "391425", ["235:188:327:182"] = "391434", ["308:226:144:175"] = "391429, 391428", ["348:357:132:311"] = "438247, 438248, 438249, 438250", ["268:354:533:268"] = "438243, 438244, 438245, 438246", ["370:298:368:179"] = "438239, 438240, 438241, 438242", ["199:191:333:474"] = "438238", ["233:266:386:374"] = "438236, 438237", ["240:270:578:91"] = "438234, 438235", ["195:199:436:0"] = "438233", ["168:170:375:102"] = "391431",},
	--[[Blasted Lands]] [628] = {["233:266:386:374"] = "1085242, 1085243", ["199:191:333:474"] = "1085244", ["238:195:225:110"] = "1085231", ["272:206:258:0"] = "1085232, 1085233", ["235:188:327:182"] = "1085234", ["268:354:533:268"] = "1085249, 1085250, 1085251, 1085252", ["295:205:530:6"] = "1085235, 1085236", ["195:199:436:0"] = "1085237", ["218:183:459:97"] = "1085239", ["240:270:578:91"] = "1085240, 1085241", ["370:298:368:179"] = "1085245, 1085246, 1085247, 1085248", ["348:357:132:311"] = "1085253, 1085254, 1085255, 1085256", ["308:226:144:175"] = "1085257, 1085258", ["168:170:375:102"] = "1085238",},
	--[[Burning Steppes]] [37] = {["281:388:79:0"] = "270919, 270911, 455907, 455908", ["182:360:0:0"] = "270938, 455906", ["298:410:419:258"] = "270920, 270914, 270908, 270929", ["320:385:235:0"] = "270912, 270909, 455909, 455910", ["362:431:0:237"] = "270941, 270925, 270926, 270917", ["274:263:568:151"] = "270927, 455911, 455912, 455913", ["383:413:615:255"] = "270906, 270918, 270936, 270942", ["274:413:253:255"] = "270933, 270943, 270921, 270928", ["324:354:421:0"] = "270922, 270934, 270923, 270937", ["274:413:253:255"] = "270933, 270943, 270921, 270928", ["350:341:646:7"] = "270944, 270910, 270935, 270945",},
	--[[Duskwood]] [52] = {["189:307:0:152"] = "271453, 271454", ["299:296:32:348"] = "271444, 271483, 438377, 438378", ["323:309:91:132"] = "271473, 271463, 271467, 271464", ["268:282:228:355"] = "271448, 271456, 438391, 438392", ["233:248:401:396"] = "271449", ["279:399:497:112"] = "271470, 271477, 438379, 438380", ["291:263:539:368"] = "271455, 438382, 438383, 438384", ["329:314:640:128"] = "271471, 271461, 271450, 271451", ["219:182:661:122"] = "271466", ["931:235:71:26"] = "271481, 271460, 271474, 271468", ["205:157:96:292"] = "438381", ["291:244:627:344"] = "438385, 438386", ["320:388:314:101"] = "438387, 438388, 438389, 438390",},
	--[[Dun Morogh]] [28] = {["437:249:50:227"] = "271398, 438347", ["198:251:663:288"] = "271408", ["398:302:100:366"] = "438341, 438342, 438343, 438344", ["376:347:398:0"] = "271410, 271396, 438352, 438353", ["226:335:469:256"] = "438345, 438346", ["409:318:0:27"] = "438348, 438349, 438350, 438351", ["308:335:630:0"] = "438354, 438355, 438356, 438357", ["171:234:397:132"] = "445524", ["171:234:397:132"] = "445524", ["236:358:263:0"] = "271392, 442671", ["174:249:579:306"] = "271401", ["237:366:765:43"] = "442672, 442673", ["184:188:449:220"] = "271417", ["211:160:374:287"] = "271400", ["225:276:360:340"] = "271406, 438340", ["218:234:760:268"] = "271409", ["249:183:595:225"] = "271389",},
	--[[Eastern Plaguelands]] [24] = {["177:266:595:263"] = "271543, 271530", ["280:211:56:457"] = "271512, 442694", ["262:526:0:100"] = "271538, 271513, 442695, 442696, 442697, 442698", ["214:254:651:414"] = "271553", ["286:176:528:0"] = "271554, 442699", ["297:299:650:55"] = "271537, 442689, 442690, 442691", ["202:202:133:335"] = "271551", ["182:320:383:348"] = "442692, 442693", ["274:216:183:211"] = "271536, 442688", ["258:320:0:10"] = "271522, 442685, 442686, 442687", ["310:178:118:0"] = "271529, 442684", ["264:373:738:295"] = "442680, 442681, 442682, 442683", ["277:175:351:0"] = "271535, 442679", ["328:253:144:40"] = "271518, 271527", ["250:192:401:69"] = "271521", ["265:232:570:61"] = "271520, 442678", ["243:162:391:271"] = "442677", ["196:220:687:271"] = "271533", ["228:273:774:102"] = "442674, 442675", ["238:231:382:151"] = "271523", ["186:213:493:289"] = "271544", ["202:191:258:351"] = "271548", ["248:206:211:462"] = "271514", ["181:176:541:184"] = "271542", ["266:241:462:427"] = "271532, 442676",},
	--[[Elwynn Forest]] [41] = {["294:243:703:292"] = "271578, 438413", ["340:272:552:186"] = "271584, 271565, 438419, 438420", ["220:207:417:327"] = "271560", ["285:194:708:442"] = "271557, 271583", ["269:313:116:355"] = "438426, 438427, 438428, 438429", ["512:422:0:0"] = "438421, 438422, 438423, 438424", ["276:231:247:294"] = "271567, 438415", ["269:248:240:420"] = "271576, 438414", ["295:296:355:138"] = "271572, 438416, 438417, 438418", ["230:206:396:430"] = "271582", ["270:241:529:287"] = "271573, 438425", ["287:216:532:424"] = "271559, 438412", },
	--[[Eversong Woods]] [99] = {["128:193:554:475"] = "271603", ["256:256:215:298"] = "271601", ["256:128:539:305"] = "271628", ["128:253:183:415"] = "271625", ["256:256:386:386"] = "271612", ["256:256:605:253"] = "271604", ["256:256:474:314"] = "271610", ["256:128:524:359"] = "271591", ["256:256:460:373"] = "271588", ["256:256:361:298"] = "271637", ["256:128:231:404"] = "271627", ["256:256:324:384"] = "271599", ["256:174:464:494"] = "271615", ["256:172:378:496"] = "271614", ["128:256:292:319"] = "271633", ["256:256:307:136"] = "271608", ["512:512:195:5"] = "271619, 271602, 271589, 271638", ["256:256:669:228"] = "271586", ["128:256:580:399"] = "271630", ["256:128:243:469"] = "271635", ["128:197:584:471"] = "271598", ["512:512:440:87"] = "271632, 271600, 271617, 271618", ["128:248:511:420"] = "271592", ["256:353:648:315"] = "271587, 271590", ["256:128:255:507"] = "271596",},
	--[[Ghostlands]] [100] = {["256:262:364:406"] = "271711, 271717", ["256:256:184:238"] = "271744", ["256:256:40:287"] = "271752", ["404:436:598:232"] = "271742, 271728, 271758, 271706", ["512:431:466:237"] = "271712, 271757, 271713, 271734", ["512:256:326:0"] = "271729, 271707", ["512:293:95:375"] = "271721, 271725, 271714, 271737", ["256:449:340:219"] = "271740, 271730", ["429:256:573:136"] = "271715, 271745", ["427:256:575:0"] = "271735, 271736", ["256:512:448:150"] = "271741, 271723", ["256:256:210:126"] = "271716", ["256:512:60:117"] = "271754, 271733", ["512:512:44:0"] = "271726, 271756, 271727, 271710", ["512:256:460:0"] = "271731, 271719", ["256:512:365:2"] = "271762, 271751", },
	--[[Gilneas]] [184] = {["177:219:293:449"] = "438477",	["194:236:167:352"] = "438476",	["210:166:261:427"] = "438440", ["222:268:393:386"] = "438482,438483", ["244:241:141:202"] = "438475", ["267:314:387:0"] = "438484,438485,438486,438487", ["280:224:504:394"] = "438498,438499", ["280:342:298:95"] = "438478,438479,438480,438481", ["281:351:639:43"] = "438443,438444,438445,438446", ["282:263:483:210"] = "438447,438448,438449,438450", ["282:298:482:14"] = "438488,438489,438490,438491", ["286:178:272:333"] = "438441,438442", ["321:203:516:465"] = "438492,438493", ["328:336:160:0"] = "438500,438501,438502,438503", ["350:345:652:290"] = "438494,438495,438496,438497",},
	--[[Gilneas]] [220] = {["328:336:160:0"] = "438628, 438629, 438630, 438631", ["280:224:504:394"] = "438626, 438627", ["350:345:652:290"] = "438622, 438623, 438624, 438625", ["321:203:516:465"] = "438620, 438621", ["267:314:387:0"] = "438612, 438613, 438614, 438615", ["222:268:393:386"] = "438610, 438611", ["280:342:298:95"] = "438606, 438607, 438608, 438609", ["177:219:293:449"] = "438605", ["194:236:167:352"] = "438604", ["244:241:141:202"] = "438603", ["281:351:639:43"] = "438571, 438572, 438573, 438574", ["286:178:272:333"] = "438569, 438570", ["210:166:261:427"] = "438568", ["282:263:483:210"] = "438587, 438588, 438589, 438590", ["282:298:482:14"] = "438616,438617,438618,438619",},
	--[[Gilneas]] [228] = {["1002:668:0:0"] = "464052,464056,464057,464058,464059,464060,464061,464062,464063,464053,464054,464055",},
	--[[Hillsbrad Foothills]] [26] = {["180:182:287:399"] = "450628", ["447:263:555:68"] = "450629, 450630, 450631, 450632", ["302:175:191:302"] = "450651, 450652", ["135:160:426:224"] = "450633", ["134:124:463:101"] = "450634", ["316:238:102:137"] = "450635, 450636", ["258:113:341:0"] = "450637, 450638", ["147:160:425:279"] = "450639", ["269:258:542:410"] = "450640, 450641, 450642, 450643", ["437:451:565:217"] = "450644, 450645, 450646, 450647", ["155:147:451:140"] = "450648", ["116:129:344:254"] = "450649", ["171:136:359:191"] = "450650", ["250:167:194:216"] = "450665", ["158:169:321:42"] = "450666", ["212:160:441:0"] = "450679", ["105:148:390:255"] = "450678", ["165:203:494:226"] = "450677", ["275:193:505:44"] = "450675, 450676", ["229:219:383:352"] = "450674", ["312:254:59:310"] = "450672, 450673", ["148:146:484:166"] = "450671", ["148:120:413:55"] = "450670", ["204:244:502:373"] = "450667", ["144:139:200:505"] = "450668", ["189:181:347:85"] = "450669",},
	--[[Kelp'thar Forest]] [206] = {["220:189:528:228"] = "440974", ["340:225:365:162"] = "440988, 440989", ["278:315:210:35"] = "440984, 440985, 440986, 440987", ["291:206:380:43"] = "440982, 440983", ["316:267:456:401"] = "440978, 440979, 440980, 440981", ["227:207:399:280"] = "440977", ["311:217:451:325"] = "440975, 440976", },
	--[[Isle of Quel'Danas]] [127] = {["512:512:251:4"] = "272716, 272728, 272723, 272733", ["512:416:252:252"] = "272721, 272732, 272715, 272722",},
	--[[Loch Modan]] [53] = {["349:292:570:209"] = "252890, 252891, 252892, 252893", ["397:291:481:296"] = "252866, 252867, 440636, 440637", ["319:289:16:0"] = "252882, 252883, 440638, 440639", ["333:200:339:0"] = "440642, 440643", ["225:252:221:0"] = "252884", ["330:474:340:81"] = "252894, 252895, 252896, 252897", ["273:230:245:324"] = "252862, 252863", ["310:345:0:311"] = "252899, 440647, 440648, 440649", ["455:295:0:146"] = "252898, 440644, 440645, 440646", ["273:294:177:345"] = "252886, 252887, 440640, 440641", ["294:249:549:52"] = "252880, 252881",},
	--[[Northern Stranglethorn]] [55] = {["190:176:566:164"] = "440795", ["324:263:9:22"] = "440819, 440820, 440821, 440822", ["230:170:398:375"] = "440796", ["239:205:397:243"] = "440794", ["157:173:387:246"] = "440805", ["167:179:298:228"] = "440797", ["234:206:543:253"] = "440806", ["240:228:413:95"] = "440800", ["139:150:354:184"] = "440798", ["159:137:267:168"] = "440793", ["236:224:140:208"] = "440812", ["228:265:158:0"] = "440810, 440811", ["227:190:306:63"] = "440807", ["302:166:306:0"] = "440808, 440809", ["244:238:499:0"] = "440799", ["376:560:626:0"] = "440813, 440814, 440815, 440816, 440817, 440818", ["350:259:488:364"] = "440801, 440802, 440803, 440804",},
	--[[Redridge Mountains]] [54] = {["189:193:445:286"] = "440660", ["306:324:688:283"] = "440668, 440669, 440670, 440671", ["228:420:480:0"] = "440672, 440673", ["464:250:81:214"] = "272335, 272343", ["392:352:148:316"] = "272344, 272354, 272350, 272339", ["323:406:0:256"] = "272364, 272348, 272358, 272359", ["428:463:574:0"] = "272372, 440661, 440662, 440663", ["316:182:525:302"] = "272347, 272371", ["427:291:451:377"] = "272369, 272363, 440666, 440667", ["228:247:350:139"] = "272334", ["357:246:214:0"] = "272357, 272342", ["413:292:37:0"] = "272362, 272356, 440664, 440665", ["410:256:0:110"] = "272351, 272340",},
	--[[Searing Gorge]] [33] = {["571:308:413:360"] = "254527, 254528, 450688, 450689, 450690, 450691", ["429:301:255:38"] = "450692, 450693, 450694, 450695", ["481:360:232:171"] = "254529, 254530, 254531, 254532", ["441:266:531:241"] = "450684, 450685, 450686, 450687", ["365:393:0:75"] = "254509, 254510, 254511, 254512", ["392:355:588:0"] = "254505, 254506, 254507, 254508", ["304:244:243:424"] = "450682, 450683", ["375:307:0:361"] = "254503, 254504, 450680, 450681",},
	--[[Shimmering Expanse]] [210] = {["480:319:150:32"] = "441007, 441008, 441009, 441010", ["339:278:400:0"] = "441003, 441004, 441005, 441006", ["349:361:217:268"] = "440999, 441000, 441001, 441002", ["197:223:554:175"] = "440998", ["286:269:460:261"] = "440994, 440995, 440996, 440997", ["272:180:270:222"] = "440992, 440993", ["335:223:407:445"] = "440990, 440991",},
	--[[Silverpine Forest]] [22] = {["152:189:433:327"] = "440742", ["176:152:471:156"] = "440741", ["174:199:323:68"] = "440735", ["186:238:369:0"] = "440734", ["318:263:505:405"] = "272599, 440726, 440727, 440728", ["409:162:318:506"] = "272609, 440743", ["361:175:445:0"] = "440732, 440733", ["281:345:147:0"] = "440736, 440737, 440738, 440739", ["179:165:337:337"] = "272613", ["255:180:349:429"] = "440740", ["227:172:236:0"] = "272610", ["352:302:581:15"] = "272600, 440729, 440730, 440731", ["218:200:341:157"] = "272620", ["283:243:509:250"] = "272614, 440725", ["217:198:483:212"] = "272598", ["251:167:312:249"] = "272616", ["162:172:461:77"] = "440744",},
	--[[Swamp of Sorrows]] [56] = {["292:360:331:24"] = "272768, 272770, 442720, 442721", ["266:284:161:79"] = "272736, 442717, 442718, 442719", ["357:308:297:258"] = "272742, 272751, 272752, 272764", ["347:303:540:360"] = "272740, 272773, 442715, 442716", ["238:343:194:236"] = "272747, 272763", ["229:418:703:80"] = "272739, 272746", ["257:229:575:238"] = "272772, 272760", ["268:285:0:80"] = "272759, 272750, 442713, 442714", ["402:668:600:0"] = "272756, 272737, 272769, 442710, 442711, 442712", ["330:342:478:0"] = "442706, 442707, 442708, 442709", ["268:316:7:242"] = "442702, 442703, 442704, 442705", ["262:193:600:0"] = "442700, 442701",},
	--[[The Cape of Stranglethorn]] [215] = {["356:221:208:116"] = "438745, 438746", ["236:276:340:392"] = "438754, 438755", ["225:255:289:341"] = "438740", ["271:204:528:73"] = "438741, 438742", ["238:260:345:0"] = "438743, 438744", ["240:264:471:404"] = "438747, 438748", ["244:209:452:0"] = "438753", ["155:221:468:119"] = "438752", ["184:176:533:181"] = "438751", ["246:221:292:213"] = "438750", ["253:242:408:248"] = "438749",},
	--[[The Hinterlands]] [27] = {["238:267:0:236"] = "271917, 440597", ["191:278:133:105"] = "271927, 440600", ["241:211:220:181"] = "271928", ["240:196:220:379"] = "271937", ["199:212:286:269"] = "271934", ["208:204:367:159"] = "271910", ["226:225:152:284"] = "440603", ["244:401:677:267"] = "271938, 271916", ["287:289:487:334"] = "271912, 271920, 440598, 440599", ["281:261:565:208"] = "271915, 271921, 440601, 440602", ["176:235:490:195"] = "271933", ["303:311:475:5"] = "271908, 271935, 271936, 271909", ["225:196:357:343"] = "271922", ["199:199:390:252"] = "271929",},
	--[[Tirisfal Glades]] [19] = {["293:338:709:330"] = "440931, 440932, 440933, 440934", ["262:262:740:47"] = "440926, 440927, 440928, 440929", ["390:267:423:359"] = "440922, 440923, 440924, 440925", ["179:169:389:255"] = "440917", ["431:407:9:207"] = "273001, 440918, 440919, 440920", ["286:225:201:192"] = "273017, 440930", ["285:260:324:90"] = "273019, 440914, 440915, 440916", ["225:281:347:325"] = "273003, 440921", ["212:177:418:317"] = "273016", ["199:182:480:252"] = "273015", ["250:279:752:150"] = "272999, 440935", ["161:234:692:99"] = "272996", ["175:210:686:232"] = "273000", ["242:179:594:324"] = "273006", ["210:292:573:122"] = "273009, 273002", ["190:214:477:129"] = "273020",},
	--[[Twilight Highlands]] [252] = {["165:199:327:356"] = "458579", ["214:190:358:0"] = "458588", ["191:198:205:232"] = "458589", ["177:159:302:306"] = "458587", ["324:264:71:16"] = "458583, 458584, 458585, 458586", ["260:202:610:345"] = "458581, 458582", ["239:232:482:330"] = "458559", ["220:227:697:403"] = "458558", ["230:276:83:223"] = "458556, 458557", ["194:170:543:220"] = "458555", ["174:190:291:89"] = "458554", ["215:181:499:265"] = "458553", ["197:218:395:367"] = "458552", ["251:207:631:245"] = "458551", ["283:206:76:120"] = "458549, 458550", ["182:195:370:447"] = "458548", ["203:208:387:268"] = "458547", ["215:157:416:205"] = "458546", ["143:141:344:89"] = "458560", ["308:267:482:0"] = "458561, 458562, 458563, 458564", ["342:288:436:380"] = "458565, 458566, 458567, 458568", ["206:182:296:0"] = "458569", ["198:201:622:169"] = "458570", ["211:210:498:121"] = "458571", ["175:180:269:179"] = "458572", ["226:232:654:0"] = "458573", ["199:212:312:192"] = "458574", ["361:354:151:314"] = "458575, 458576, 458577, 458578", ["238:229:374:93"] = "458580", },
	--[[Twilight Highlands]] [338] = {["165:199:327:356"] = "458623", ["191:198:205:232"] = "458633", ["214:190:358:0"] = "458632", ["177:159:302:306"] = "458631", ["324:264:71:16"] = "458627, 458628, 458629, 458630", ["260:202:610:345"] = "458625, 458626", ["238:229:374:93"] = "458624", ["165:199:327:356"] = "458623", ["361:354:151:314"] = "458619, 458620, 458621, 458622", ["199:212:312:192"] = "458618", ["226:232:654:0"] = "458617", ["175:180:269:179"] = "458616", ["211:210:498:121"] = "458615", ["198:201:622:169"] = "458614", ["206:182:296:0"] = "458613", ["342:288:436:380"] = "458609, 458610, 458611, 458612", ["308:267:482:0"] = "458605, 458606, 458607, 458608", ["143:141:344:89"] = "458604", ["239:232:482:330"] = "458603", ["220:227:697:403"] = "458602", ["230:276:83:223"] = "458600, 458601", ["194:170:543:220"] = "458599", ["174:190:291:89"] = "458598", ["215:181:499:265"] = "458597", ["197:218:395:367"] = "458596", ["251:207:631:245"] = "458595", ["283:206:76:120"] = "458593, 458594", ["215:157:416:205"] = "458590", ["203:208:387:268"] = "458591", ["182:195:370:447"] = "458592",},
	--[[Western Plaguelands]] [23] = {["290:133:286:211"] = "441018, 441019", ["325:192:300:232"] = "441015, 441016", ["185:230:551:151"] = "273121", ["241:252:495:213"] = "273094", ["432:271:235:0"] = "273095, 273111, 273100, 273090", ["464:325:96:343"] = "441011, 441012, 441013, 441014", ["359:182:231:123"] = "273114, 441017", ["169:195:472:332"] = "273102", ["241:212:229:228"] = "273113", ["316:316:48:235"] = "273120, 441020, 441021, 441022", ["368:220:261:448"] = "273108, 273101", ["194:208:601:390"] = "273107", ["492:314:510:354"] = "273119, 273092, 273112, 273093", ["311:436:533:0"] = "273122, 273103, 441023, 441024", },
	--[[Westfall]] [57] = {["202:224:348:118"] = "273126", ["235:306:199:79"] = "273149, 441025", ["193:273:531:200"] = "273125, 441031", ["229:265:404:226"] = "273137, 441027", ["232:213:308:325"] = "273130", ["346:222:167:263"] = "273129, 273133", ["244:237:451:81"] = "273146", ["197:213:394:0"] = "273145", ["202:179:474:0"] = "273143", ["184:217:294:168"] = "441034", ["201:195:203:376"] = "273142", ["211:167:221:477"] = "273141", ["292:273:303:395"] = "273124, 441028, 441029, 441030", ["317:261:480:378"] = "273131, 273134, 441032, 441033", ["196:229:311:0"] = "441026",},
	--[[Wetlands]] [61] = {["329:228:506:34"] = "441037, 441038", ["298:215:346:419"] = "441039, 441040", ["250:269:460:102"] = "441042, 441043", ["250:282:218:0"] = "441048, 441049", ["300:316:532:352"] = "441050, 441051, 441052, 441053", ["185:224:372:76"] = "273173", ["257:185:356:7"] = "273164, 441041", ["325:363:0:297"] = "273156, 441044, 441045, 441046", ["301:232:37:240"] = "273163, 441035", ["321:248:31:102"] = "273171, 441036", ["298:447:185:195"] = "273155, 441055, 441056, 441057", ["276:243:121:63"] = "273178, 273167", ["256:245:599:123"] = "273181", ["369:235:506:232"] = "273177, 441047", ["258:207:371:335"] = "273174, 441054", ["236:256:359:201"] = "273159",},

	----------------------------------------------------------------------
	-- Kalimdor
	----------------------------------------------------------------------

	--[[Ahn'Qiraj]] [339] = {["887:668:115:0"] = "462974,462978,462979,462980,462981,462982,462983,462984,462985,462975,462976,462977",},
	--[[Ashenvale]] [68] = {["277:333:714:317"] = "270405, 437316, 437317, 437318", ["231:223:771:265"] = "270390", ["166:211:836:148"] = "270387", ["235:236:696:154"] = "270388", ["221:257:595:253"] = "270401, 437321", ["287:276:529:385"] = "270375, 437313, 437314, 437315", ["231:256:481:221"] = "270402", ["325:239:473:97"] = "270400, 437327", ["236:271:210:331"] = "270398, 437328", ["246:361:188:0"] = "437319, 437320", ["244:251:143:0"] = "437322", ["347:308:338:335"] = "437323, 437324, 437325, 437326", ["306:283:40:275"] = "437329, 437330, 437331, 437332", ["203:310:377:121"] = "437337, 437338", ["251:271:255:164"] = "270386, 437312", ["314:241:255:78"] = "270389, 437336", ["184:232:112:148"] = "270380", ["262:390:0:0"] = "270376, 437333, 437334, 437335",},
	--[[Azshara]] [81] = {["184:213:353:396"] = "438209", ["207:232:407:403"] = "438208", ["219:193:575:121"] = "438207", ["352:274:22:344"] = "438200, 438201, 438202, 438203", ["250:230:70:222"] = "438199", ["243:262:343:3"] = "438197, 438198", ["260:267:204:53"] = "438193, 438194, 438195, 438196", ["587:381:395:127"] = "438186, 438187, 438188, 438189, 438190, 438191", ["256:224:113:141"] = "438185", ["210:232:245:377"] = "270409", ["295:267:476:401"] = "270410, 438204, 438205, 438206", ["218:237:228:229"] = "270414", ["306:337:684:22"] = "270434, 438211, 438212, 438213", ["321:247:477:0"] = "270432, 438192", ["206:329:316:168"] = "270412, 438210",},
	--[[Azuremyst Isle]] [102] = {["256:256:449:183"] = "270508", ["256:256:352:378"] = "270481", ["256:256:281:305"] = "270509", ["128:256:462:349"] = "270497", ["256:256:507:350"] = "270512", ["256:128:356:0"] = "270493", ["256:256:488:24"] = "270474", ["256:256:174:363"] = "270492", ["256:256:383:249"] = "270513", ["475:512:527:104"] = "270511, 270483, 270489, 270484", ["256:256:515:279"] = "270476", ["256:247:220:421"] = "270482", ["256:256:176:303"] = "270463", ["512:512:74:85"] = "270475, 270515, 270495, 270505", ["256:256:365:49"] = "270488", ["256:222:23:446"] = "270498", ["256:256:291:3"] = "270510",},
	--[[Bloodmyst Isle]] [111] = {["256:512:44:62"] = "270690, 270729", ["256:256:297:136"] = "270733", ["512:242:177:426"] = "270674, 270731", ["256:256:367:209"] = "270679", ["239:256:763:256"] = "270710", ["256:256:437:258"] = "270698", ["256:256:546:410"] = "270699", ["485:141:517:527"] = "270711, 270723", ["256:256:414:406"] = "270700", ["256:185:309:483"] = "270718", ["256:256:250:404"] = "270739", ["256:256:613:82"] = "270709", ["256:256:598:338"] = "270677", ["256:256:481:117"] = "270720", ["256:256:556:216"] = "270740", ["256:256:657:78"] = "270712", ["128:128:180:216"] = "270671", ["256:256:232:242"] = "270703", ["256:256:637:0"] = "270714", ["256:256:451:29"] = "270734", ["512:430:43:238"] = "270692, 270673, 270702, 270672", ["256:198:503:470"] = "270687", ["256:256:205:39"] = "270701", ["256:256:221:136"] = "270676", ["256:256:293:285"] = "270728", ["256:256:555:87"] = "270741", ["256:256:302:27"] = "270727", ["256:256:729:54"] = "270682",},
	--[[Darkshore]] [67] = {["328:250:305:118"] = "438266, 438267", ["314:193:280:378"] = "438264, 438265", ["245:147:565:0"] = "438262", ["250:241:596:16"] = "438261", ["203:194:280:182"] = "438259", ["244:201:207:467"] = "438258", ["277:281:391:54"] = "438254, 438255, 438256, 438257", ["330:192:300:239"] = "438252, 438253", ["200:263:517:28"] = "271043, 438260", ["326:145:294:330"] = "271045, 438251", ["303:185:277:483"] = "271044, 438263",},
	--[[Desolace]] [71] = {["292:266:637:402"] = "271105, 438324, 438325, 438326", ["326:311:381:357"] = "271108, 271112, 271113, 271109", ["274:196:207:472"] = "271122, 438317", ["222:299:142:369"] = "271125, 438327", ["250:215:360:273"] = "271127", ["321:275:170:196"] = "271106, 271129, 438338, 438339", ["220:205:440:49"] = "271111", ["317:293:655:0"] = "271104, 271124, 438322, 438323", ["231:257:573:0"] = "271114, 438320", ["274:145:399:0"] = "271126, 438336", ["212:186:275:376"] = "438337", ["338:342:208:24"] = "438332, 438333, 438334, 438335", ["309:349:589:319"] = "438328, 438329, 438330, 438331", ["161:141:210:0"] = "438321", ["289:244:613:170"] = "438318, 438319", ["312:285:415:156"] = "438313, 438314, 438315, 438316",},
	--[[Durotar]] [2] = {["259:165:309:0"] = "271435, 271442", ["259:165:309:0"] = "271435, 271442", ["162:157:399:440"] = "440583", ["244:222:282:174"] = "440584", ["208:157:438:0"] = "271427", ["236:196:415:60"] = "271428", ["220:218:295:48"] = "271439", ["248:158:302:264"] = "271422", ["224:227:431:157"] = "271421", ["210:200:462:298"] = "271440", ["330:255:429:413"] = "271437, 440582", ["192:184:457:406"] = "271426", ["254:258:304:312"] = "271443, 440585",},
	--[[Dustwallow Marsh]] [498] = {["206:200:656:21"] = "656197", ["344:183:199:0"] = "656198, 656199", ["270:353:428:0"] = "656230, 656231, 656232, 656233", ["436:299:359:369"] = "656226, 656227, 656228, 656229", ["384:249:133:59"] = "656200, 656201", ["279:301:358:169"] = "656202, 656203, 656204, 656205", ["433:351:109:313"] = "656218, 656219, 656220, 656221", ["305:247:542:223"] = "656224, 656225", ["317:230:137:188"] = "656222, 656223",},
	--[[Dustwallow Marsh]] [75] = {["433:351:109:313"] = "438401, 438402, 438403, 438404", ["279:301:358:169"] = "438397, 438398, 438399, 438400", ["317:230:137:188"] = "438405, 438406", ["344:183:199:0"] = "438393, 438394", ["305:247:542:223"] = "271500, 438407", ["270:353:428:0"] = "271507, 271504, 438410, 438411", ["384:249:133:59"] = "438395, 438396", ["436:299:359:369"] = "271503, 271509, 438408, 438409", ["206:200:656:21"] = "271494",},
	--[[Felwood]] [82] = {["307:161:471:0"] = "271660, 438432", ["209:226:531:57"] = "271653", ["261:273:406:55"] = "271673, 438433, 438434, 438435", ["263:199:303:9"] = "271652, 438436", ["343:250:243:107"] = "271665, 438439", ["345:192:220:231"] = "271666, 438430", ["319:176:234:317"] = "271669, 438437", ["268:214:278:359"] = "271664, 438438", ["229:210:288:458"] = "271663", ["274:212:394:382"] = "271659, 438431", ["173:163:410:505"] = "271658", ["187:176:476:484"] = "271657", },
	--[[Feralas]] [74] = {["159:218:607:170"] = "440592", ["207:209:756:191"] = "271680", ["192:157:663:116"] = "271696", ["174:220:671:181"] = "271675", ["206:237:467:354"] = "271699", ["265:284:485:101"] = "271687, 440587, 440588, 440589", ["194:304:375:343"] = "271700, 271682", ["350:334:271:0"] = "271705, 271686, 440594, 440595", ["208:204:186:229"] = "440593", ["232:206:652:298"] = "440596", ["172:198:568:287"] = "440586", ["217:192:362:237"] = "440590", ["191:179:457:281"] = "440591",},
	--[[Moonglade]] [85] = {["346:244:370:135"] = "440650, 440651", ["271:296:209:91"] = "440652, 440653, 440654, 440655", ["275:346:542:210"] = "440656, 440657, 440658, 440659", ["431:319:219:273"] = "252844, 252845, 252846, 252847",},
	--[[Mount Hyjal]] [203] = {["291:321:116:17"] = "438670, 438671, 438672, 438673", ["441:319:52:253"] = "438674, 438675, 438676, 438677", ["270:300:320:5"] = "438632, 438633, 438634, 438635", ["365:264:411:216"] = "438678, 438679, 438680, 438681", ["419:290:318:378"] = "438682, 438683, 438684, 438685", ["270:300:320:5"] = "438632, 438633, 438634, 438635", ["270:300:320:5"] = "438632, 438633, 438634, 438635", ["270:173:303:197"] = "438644, 438645", ["282:418:6:78"] = "438636, 438637, 438638, 438639", ["320:471:682:128"] = "438640, 438641, 438642, 438643", ["272:334:622:320"] = "438646, 438647, 438648, 438649", ["537:323:392:0"] = "438662, 438663, 438664, 438665, 438666, 438667", ["277:232:139:436"] = "438668, 438669",},
	--[[Mount Hyjal]] [227] = {["270:173:303:197"] = "438698, 438699", ["441:319:52:253"] = "438728, 438729, 438730, 438731", ["270:300:320:5"] = "438686, 438687, 438688, 438689", ["270:300:320:5"] = "438686, 438687, 438688, 438689", ["270:300:320:5"] = "438686, 438687, 438688, 438689", ["419:290:318:378"] = "438736, 438737, 438738, 438739", ["365:264:411:216"] = "438732, 438733, 438734, 438735", ["441:319:52:253"] = "438728, 438729, 438730, 438731", ["291:321:116:17"] = "438724, 438725, 438726, 438727", ["277:232:139:436"] = "438722, 438723", ["537:323:392:0"] = "438716, 438717, 438718, 438719, 438720, 438721", ["272:334:622:320"] = "438700, 438701, 438702, 438703", ["320:471:682:128"] = "438694, 438695, 438696, 438697", ["282:418:6:78"] = "438690, 438691, 438692, 438693", },
	--[[Mulgore]] [8] = {["174:185:449:340"] = "272180", ["222:202:400:0"] = "272179", ["190:172:331:0"] = "272172", ["201:167:333:202"] = "272178", ["373:259:208:62"] = "272187, 272171, 457476, 457477", ["208:300:530:138"] = "272186, 457475", ["260:243:527:291"] = "272170, 457474", ["186:216:448:101"] = "272177", ["237:184:201:0"] = "457473", ["186:185:514:43"] = "272169", ["446:264:286:401"] = "272168, 272165, 457471, 457472", ["187:165:435:224"] = "272185", ["172:205:248:321"] = "272176", ["302:223:319:273"] = "272173, 457470", ["218:192:226:220"] = "272181",},
	--[[Northern Barrens]] [11] = {["278:209:511:7"] = "270553, 438214", ["257:249:403:6"] = "270564, 438223", ["261:216:258:6"] = "438216, 438217", ["377:325:152:318"] = "438227, 438228, 438229, 438230", ["241:195:290:104"] = "270554", ["283:270:116:57"] = "270572, 438218, 438219, 438220", ["446:256:100:208"] = "270560, 438221", ["243:217:448:127"] = "270584", ["207:332:555:129"] = "270569, 438215", ["239:231:481:254"] = "270574", ["233:193:362:275"] = "270559", ["336:289:344:379"] = "270565, 438224, 438225, 438226", ["219:175:547:379"] = "270585", ["315:212:556:456"] = "270573, 438222",},
	--[[Silithus]] [86] = {["580:213:0:455"] = "272564, 272553, 440720", ["489:358:380:310"] = "272567, 272547, 272555, 272548", ["542:367:0:206"] = "272559, 272543, 272574, 272575, 440718, 440719", ["309:243:550:181"] = "272580, 272544", ["405:267:345:4"] = "272565, 272566, 272577, 272546", ["329:246:126:0"] = "272581, 272562", ["434:231:100:151"] = "272573, 272545", ["292:260:427:143"] = "440714, 440715, 440716, 440717", ["315:285:614:0"] = "440721, 440722, 440723, 440724", },
	--[[Southern Barrens]] [204] = {["214:140:273:528"] = "440758", ["315:170:201:0"] = "440751, 440752", ["254:214:267:196"] = "440763", ["355:226:289:117"] = "440761, 440762", ["285:171:244:286"] = "440759, 440760", ["280:279:548:147"] = "440754, 440755, 440756, 440757", ["218:178:300:64"] = "440753", ["242:195:269:436"] = "440750", ["216:172:423:251"] = "440749", ["384:248:274:307"] = "440747, 440748", ["269:211:398:457"] = "440745, 440746", },
	--[[Stonetalon Mountains]] [70] = {["305:244:265:0"] = "272632, 272641", ["244:247:417:143"] = "272624", ["277:274:199:368"] = "272633, 272647, 440774, 440775", ["222:222:353:285"] = "272646", ["374:287:533:179"] = "272630, 272649, 272642, 272636", ["194:156:532:512"] = "272628", ["267:352:468:263"] = "272648, 272634, 272635, 272623", ["211:131:618:537"] = "272650", ["176:189:516:289"] = "440780", ["164:258:479:401"] = "440778, 440779", ["265:206:654:369"] = "440776, 440777", ["210:189:252:121"] = "440773", ["221:235:367:411"] = "440772", ["183:196:588:341"] = "440771", ["322:220:602:448"] = "440769, 440770", ["241:192:366:95"] = "440768", ["290:297:220:189"] = "440764, 440765, 440766, 440767", },
	--[[Tanaris]] [76] = {["274:186:437:289"] = "272795, 440826", ["225:187:448:364"] = "272805", ["173:163:380:341"] = "272798", ["224:216:431:452"] = "272801", ["232:211:301:349"] = "272784", ["221:293:185:280"] = "272781, 440827", ["315:190:184:0"] = "272788, 440830", ["231:177:305:257"] = "272782", ["179:190:258:211"] = "272792", ["195:163:413:211"] = "272800", ["214:149:293:99"] = "272776", ["254:341:479:9"] = "440823, 440824", ["255:194:297:148"] = "272799", ["213:173:507:238"] = "272789", ["189:180:412:92"] = "272774", ["178:243:615:201"] = "440825", ["269:190:255:431"] = "440828, 440829",},
	--[[Teldrassil]] [62] = {["175:235:374:221"] = "272826", ["298:337:149:181"] = "272806, 272812, 440831, 440832", ["198:181:347:355"] = "272814", ["289:202:422:310"] = "272810, 440834", ["140:210:345:243"] = "272807", ["241:217:481:104"] = "272811", ["187:196:544:217"] = "272815", ["194:244:276:90"] = "272830", ["165:249:382:83"] = "272822", ["178:186:466:237"] = "440833", ["144:226:432:109"] = "440837", ["317:220:329:448"] = "440835, 440836",},
	--[[Thousand Needles]] [69] = {["280:325:0:0"] = "442268, 442269, 442270, 442271", ["358:418:125:241"] = "442264, 442265, 442266, 442267", ["234:203:527:465"] = "442249", ["374:339:347:329"] = "442260, 442261, 442262, 442263", ["411:411:591:257"] = "442256, 442257, 442258, 442259", ["272:232:136:0"] = "272963, 442255", ["431:410:571:49"] = "442251, 442252, 442253, 442254", ["246:256:756:412"] = "442250", ["361:314:298:0"] = "442245, 442246, 442247, 442248", ["246:380:0:134"] = "272968, 442244", ["436:271:276:186"] = "272954, 442241, 442242, 442243", ["317:252:169:116"] = "272962, 442240",},
	--[[Un'Goro Crater]] [83] = {["432:294:305:0"] = "273052, 273062, 273057, 273058", ["197:222:706:201"] = "273051", ["263:412:573:256"] = "273072, 273039, 273037, 273063", ["381:274:335:384"] = "273059, 273066, 273073, 273054", ["316:293:162:357"] = "273046, 273053, 273071, 273047", ["224:191:557:0"] = "440936", ["204:170:462:330"] = "440937", ["186:185:328:179"] = "440938", ["337:321:565:39"] = "440939, 440940, 440941, 440942", ["332:332:157:0"] = "440943, 440944, 440945, 440946", ["309:277:145:226"] = "273043, 273075, 273069, 273061", ["321:288:356:192"] = "273042, 273065, 273050, 273036",},
	--[[Uldum]] [260] = {["203:249:217:289"] = "458653", ["278:173:365:0"] = "458651, 458652", ["228:227:411:67"] = "458650", ["249:243:264:136"] = "458649", ["269:203:340:282"] = "458647, 458648", ["196:170:551:121"] = "458646", ["312:289:28:221"] = "458654, 458655, 458656, 458657", ["400:224:110:0"] = "458644, 458645", ["209:254:407:384"] = "458643", ["237:194:583:162"] = "458642", ["160:193:406:174"] = "458641", ["233:321:527:291"] = "458639, 458640", ["203:215:542:0"] = "458638", ["269:242:599:184"] = "458636, 458637", ["202:169:341:402"] = "458635", ["164:185:471:277"] = "458634", ["150:159:545:193"] = "458658", ["296:209:132:127"] = "458659, 458660", ["237:316:752:170"] = "458661, 458662", ["270:229:229:433"] = "458666, 458667", ["161:236:647:15"] = "458663", ["206:204:657:349"] = "458664", ["213:195:656:473"] = "458665", ["151:144:479:215"] = "458668",},
	--[[Uldum]] [289] = {["164:185:471:277"] = "458669", ["202:169:341:402"] = "458670", ["269:242:599:184"] = "458671, 458672", ["203:215:542:0"] = "458673", ["233:321:527:291"] = "458674, 458675", ["160:193:406:174"] = "458676", ["237:194:583:162"] = "458677", ["209:254:407:384"] = "458678", ["400:224:110:0"] = "458679, 458680", ["196:170:551:121"] = "458681", ["269:203:340:282"] = "458682, 458683", ["249:243:264:136"] = "458684", ["228:227:411:67"] = "458685", ["278:173:365:0"] = "458686, 458687", ["203:249:217:289"] = "458688", ["312:289:28:221"] = "458689, 458690, 458691, 458692", ["151:144:479:215"] = "458715", ["270:229:229:433"] = "458701, 458702", ["213:195:656:473"] = "458700", ["206:204:657:349"] = "458699", ["161:236:647:15"] = "458698", ["237:316:752:170"] = "458696, 458697", ["296:209:132:127"] = "458694, 458695", ["150:159:545:193"] = "458693",},
	--[[Winterspring]] [88] = {["221:209:588:181"] = "273200", ["362:252:92:302"] = "273187, 445593", ["333:255:500:17"] = "273203, 445592", ["367:340:229:33"] = "273207, 445589, 445590, 445591", ["254:150:556:439"] = "273199", ["257:238:399:340"] = "273185, 445588", ["271:258:372:268"] = "273192, 445585, 445586, 445587", ["249:217:581:314"] = "273206", ["317:183:424:474"] = "273198, 445584", ["332:268:304:0"] = "273184, 445581, 445582, 445583", ["376:289:93:118"] = "273202, 445578, 445579, 445580", ["194:229:482:195"] = "273191", },

	----------------------------------------------------------------------
	-- Outland
	----------------------------------------------------------------------

	--[[Blade's Edge Mountains]] [110] = {["256:410:554:258"] = "270629, 270606", ["256:256:527:81"] = "270611", ["256:256:286:28"] = "270625", ["256:256:254:176"] = "270663", ["512:252:144:416"] = "270662, 270632", ["416:256:586:147"] = "270628, 270605", ["256:254:446:414"] = "270642", ["256:256:658:297"] = "270655", ["512:256:214:55"] = "270621, 270633", ["256:336:533:332"] = "270612, 270658", ["256:419:512:249"] = "270644, 270610", ["256:256:439:210"] = "270649", ["256:256:733:109"] = "270609", ["256:297:342:371"] = "270669, 270657", ["256:256:412:95"] = "270631", ["256:507:314:161"] = "270619, 270620", ["256:256:623:147"] = "270666", ["256:256:422:0"] = "270665", ["256:512:479:98"] = "270616, 270617", ["256:256:673:71"] = "270626", ["256:318:289:350"] = "270638, 270630", ["256:256:585:0"] = "270651", ["256:396:405:272"] = "270664, 270659", ["256:240:271:428"] = "270622", ["256:128:563:151"] = "270643", ["256:256:629:406"] = "270667", ["256:462:166:206"] = "270652, 270653",},
	--[[Hellfire Peninsula]] [105] = {["422:238:580:430"] = "271826, 271822", ["512:512:38:152"] = "271851, 271841, 271865, 271853", ["256:458:338:210"] = "271855, 271833", ["512:342:183:326"] = "271862, 271844, 271823, 271831", ["512:255:261:413"] = "271856, 271820", ["256:378:25:290"] = "271850, 271864", ["256:512:326:45"] = "271840, 271849", ["256:256:206:110"] = "271835", ["256:256:469:298"] = "271848", ["256:512:579:128"] = "271866, 271821", ["256:512:737:156"] = "271854, 271825", ["256:256:182:412"] = "271830", ["256:256:34:142"] = "271836", ["512:512:478:25"] = "271863, 271857, 271845, 271839", ["256:256:705:368"] = "271843", ["256:260:308:408"] = "271838, 271861", ["512:256:477:6"] = "271867, 271842", ["256:256:467:154"] = "271852", },
	--[[Nagrand]] [112] = {["512:420:36:248"] = "272224, 272233, 272191, 272212", ["256:256:431:143"] = "272188", ["256:256:335:193"] = "272213", ["256:241:558:427"] = "272204", ["256:256:351:52"] = "272237", ["512:334:168:334"] = "272205, 272229, 272190, 272238", ["256:256:219:199"] = "272231", ["256:256:387:390"] = "272220", ["256:256:533:267"] = "272206", ["256:256:504:53"] = "272208", ["256:256:157:32"] = "272235", ["256:256:277:54"] = "272242", ["256:256:666:233"] = "272244", ["256:256:598:79"] = "272232", ["256:512:10:107"] = "272199, 272200", ["256:256:391:258"] = "272230", ["256:256:162:154"] = "272198", ["256:256:532:363"] = "272236", ["256:334:660:334"] = "272196, 272197", },
	--[[Netherstorm]] [114] = {["256:128:241:388"] = "272255", ["256:387:147:281"] = "272279, 272265", ["256:179:357:489"] = "272288", ["256:256:465:336"] = "272260", ["256:256:171:155"] = "272247", ["256:256:513:138"] = "272282", ["512:256:354:49"] = "272296, 272294", ["409:384:593:284"] = "272267, 272254, 272268, 272284", ["256:213:239:455"] = "272292", ["256:256:253:301"] = "272283", ["256:217:454:451"] = "272253", ["256:256:356:261"] = "272249", ["256:256:298:134"] = "272285", ["256:256:132:294"] = "272262", ["256:256:411:20"] = "272248", ["256:145:490:523"] = "272274", ["256:256:237:22"] = "272273", ["256:256:644:173"] = "272287", ["256:256:328:397"] = "272280", ["256:256:396:10"] = "272269", ["256:256:481:208"] = "272264", ["256:256:229:38"] = "272263", },
	--[[Shadowmoon Valley]] [109] = {["512:439:168:229"] = "272430, 272460, 272434, 272435", ["512:512:348:8"] = "272467, 272465, 272422, 272453", ["512:358:343:310"] = "272454, 272426, 272439, 272455", ["512:512:104:155"] = "272436, 272440, 272441, 272427", ["512:512:394:90"] = "272459, 272438, 272463, 272447", ["256:512:290:129"] = "272451, 272471", ["396:512:606:126"] = "272429, 272470, 272446, 272450", ["512:512:116:35"] = "272428, 272424, 272433, 272445", ["492:223:510:445"] = "272442, 272443", ["512:410:469:258"] = "272448, 272449, 272469, 272452", ["256:256:554:308"] = "272461", ["256:256:143:256"] = "272431", ["256:256:520:93"] = "272421", },
	--[[Terokkar Forest]] [113] = {["256:367:103:301"] = "272844, 272847", ["256:256:314:0"] = "272837", ["385:512:617:149"] = "272860, 272855, 272850, 272856", ["512:256:143:171"] = "272851, 272867", ["512:320:449:348"] = "272876, 272888, 272857, 272877", ["256:256:397:165"] = "272839", ["256:512:455:34"] = "272879, 272834", ["256:256:480:277"] = "272866", ["256:256:417:327"] = "272873", ["512:512:104:4"] = "272861, 272831, 272883, 272838", ["256:256:222:362"] = "272846", ["256:208:321:460"] = "272889", ["256:256:245:289"] = "272881", ["256:256:310:345"] = "272887", ["128:256:316:268"] = "272840", ["256:256:377:272"] = "272836", ["256:234:247:434"] = "272843", ["256:256:521:275"] = "272835", ["256:256:478:19"] = "272880", ["256:256:505:154"] = "272886", ["256:256:116:4"] = "272878",},
	--[[Zangarmarsh]] [107] = {["256:512:329:25"] = "273223, 273272", ["256:343:141:325"] = "273224, 273225", ["256:207:720:461"] = "273266", ["256:256:342:249"] = "273233", ["512:256:20:202"] = "273248, 273279", ["256:256:512:303"] = "273271", ["256:256:81:152"] = "273222", ["286:512:716:128"] = "273243, 273273, 273250, 273251", ["256:256:88:50"] = "273235", ["256:128:124:0"] = "273241", ["256:512:219:51"] = "273268, 273226", ["256:256:175:232"] = "273267", ["256:256:31:339"] = "273262", ["308:256:694:321"] = "273276, 273246", ["256:256:596:412"] = "273280", ["512:336:314:332"] = "273221, 273269, 273236, 273277", ["256:512:569:112"] = "273249, 273238", ["256:512:462:90"] = "273253, 273242",},

	----------------------------------------------------------------------
	-- Northrend
	----------------------------------------------------------------------

	--[[Borean Tundra]] [119] = {["289:279:707:181"] = "270765, 270824, 270887, 270801", ["460:381:50:0"] = "270821, 270758, 270797, 270775", ["396:203:314:0"] = "270806, 270810", ["267:378:153:238"] = "270822, 270894, 270835, 270784", ["203:209:662:11"] = "270848", ["375:342:480:0"] = "270869, 270890, 270764, 270762", ["259:302:457:264"] = "270903, 270781, 270794, 270855", ["290:292:712:15"] = "270826, 270865, 270759, 270763", ["260:278:329:237"] = "270851, 270871, 270795, 270769", ["244:319:397:66"] = "270900, 270819", ["385:316:509:214"] = "270898, 270840, 270899, 270812", ["382:258:293:383"] = "270761, 270879, 270880, 270787", ["244:214:325:140"] = "270785", },
	--[[Crystalsong Forest]] [132] = {["416:424:0:244"] = "270970, 270961, 270971, 270996", ["288:222:0:0"] = "253268, 271000", ["446:369:536:40"] = "253267, 270960, 270995, 270989", ["544:668:129:0"] = "253264, 271003, 270968, 270965, 253265, 253266, 271002, 271004, 270984", ["558:285:444:383"] = "253271, 253272, 270974, 270975, 271001, 270980", ["264:303:0:176"] = "270987, 270962, 270973, 270997", ["252:260:0:91"] = "270966, 271005", ["502:477:500:105"] = "253269, 270985, 253270, 270986", },
	--[[Dragonblight]] [120] = {["258:225:433:118"] = "271239, 271157", ["196:218:543:362"] = "271358", ["213:219:403:0"] = "271232", ["306:242:210:0"] = "271187, 271231", ["236:218:258:203"] = "271170", ["188:211:374:208"] = "271192", ["304:203:256:104"] = "271352, 271244", ["214:261:614:358"] = "271313, 271133", ["235:354:569:7"] = "271149, 271222", ["229:259:487:0"] = "271146, 271257", ["301:286:698:332"] = "271280, 271346, 271164, 271387", ["311:272:691:160"] = "271333, 271199, 271364, 271162", ["299:278:703:7"] = "271351, 271270, 271175, 271330", ["356:300:217:313"] = "271322, 271298, 271290, 271337", ["235:337:134:165"] = "271254, 271233", ["226:212:661:264"] = "271378", ["229:299:42:187"] = "271267, 271201", ["317:353:453:219"] = "271205, 271248, 271252, 271236",},
	--[[Grizzly Hills]] [121] = {["475:362:312:294"] = "271803, 271788, 271816, 271805", ["294:227:358:187"] = "271785, 271817", ["356:224:7:207"] = "271781, 271784", ["455:400:547:257"] = "271798, 271780, 271814, 271799", ["351:284:607:41"] = "271791, 271807, 271774, 271796", ["382:285:0:46"] = "271792, 271775, 271813, 271797", ["328:260:331:32"] = "271809, 271771, 271772, 271776", ["249:235:232:129"] = "271764", ["278:290:217:244"] = "271801, 271773, 271779, 271806", ["283:247:176:421"] = "271789, 271812", ["274:207:18:461"] = "271794, 271778", ["329:246:509:0"] = "271769, 271770", ["332:294:17:307"] = "271768, 271783, 271795, 271810", ["324:265:548:137"] = "271790, 271765, 271766, 271767",},
	--[[Howling Fjord]] [122] = {["248:382:477:216"] = "271985, 271968", ["347:220:90:180"] = "271986, 271960", ["222:168:222:100"] = "271959", ["223:338:664:25"] = "271956, 271974", ["263:265:99:37"] = "271940, 271975, 271953, 271991", ["266:210:420:57"] = "271952, 271967", ["223:209:354:0"] = "271957", ["181:178:490:161"] = "271993", ["177:191:342:351"] = "271992", ["244:305:621:327"] = "271969, 271989", ["174:173:576:170"] = "271946", ["238:232:343:108"] = "271984", ["284:308:415:360"] = "271997, 271998, 271963, 271964", ["187:263:397:208"] = "271980, 271994", ["193:201:668:223"] = "271950", ["251:192:490:0"] = "271970", ["298:306:572:0"] = "271977, 271978, 271979, 271958", ["213:256:283:203"] = "271976", ["232:216:585:336"] = "271941", ["242:189:225:0"] = "271954", ["178:208:595:240"] = "271945", ["350:258:168:410"] = "271965, 271966, 271972, 271973", ["333:265:99:278"] = "271962, 271987, 271983, 271988",},
	--[[Icecrown]] [123] = {["248:243:538:181"] = "254684", ["227:210:327:305"] = "254687", ["314:224:616:30"] = "294026, 294027", ["223:207:444:276"] = "254695", ["308:212:342:392"] = "254657, 254658", ["393:474:22:122"] = "254673, 254674, 254675, 254676", ["308:202:392:466"] = "254659, 254660", ["204:268:0:167"] = "254677, 254678", ["269:217:715:390"] = "254693, 254694", ["238:240:217:50"] = "254692", ["373:375:355:37"] = "254653, 254654, 254655, 254656", ["223:399:321:15"] = "254690, 254691", ["219:283:218:291"] = "254688, 254689", ["283:231:558:329"] = "254685, 254686", ["300:343:626:31"] = "254680, 254681, 254682, 254683", ["245:239:690:267"] = "254679",},
	--[[Sholazar Basin]] [124] = {["268:288:138:58"] = "272517, 272534, 272496, 272502", ["329:293:76:375"] = "272509, 272491, 272520, 272484", ["294:327:308:34"] = "272523, 272487, 272539, 272532", ["322:265:596:92"] = "272521, 272515, 272522, 272499", ["312:369:501:134"] = "272494, 272495, 272504, 272533", ["207:235:427:244"] = "272524", ["455:316:82:186"] = "272535, 272518, 272490, 272519", ["249:248:172:135"] = "272507", ["233:286:705:236"] = "272529, 272506", ["239:313:265:355"] = "272530, 272516", ["293:229:396:51"] = "272500, 272501", ["468:329:359:339"] = "272498, 272531, 272510, 272541", },
	--[[The Storm Peaks]] [125] = {["180:239:214:144"] = "272933", ["221:200:108:206"] = "272906", ["205:232:162:143"] = "272920", ["251:200:242:468"] = "272921", ["169:164:239:301"] = "272922", ["184:191:395:470"] = "272909", ["363:341:292:122"] = "272912, 272913, 272914, 272946", ["306:484:627:179"] = "272934, 272923, 272908, 272930", ["305:298:339:370"] = "272904, 272925, 272926, 272952", ["244:220:134:429"] = "272919", ["182:270:570:113"] = "272927, 272910", ["369:265:218:0"] = "272943, 272944, 272931, 272917", ["210:179:316:296"] = "272945", ["309:383:481:285"] = "272939, 272953, 272905, 272935", ["228:158:98:318"] = "272924", ["322:195:109:375"] = "272948, 272950",},
	--[[Zul'Drak]] [126] = {["302:231:380:437"] = "273323, 273289", ["321:305:181:363"] = "273312, 273332, 273282, 273302", ["336:297:629:0"] = "273295, 273301, 273321, 273288", ["286:265:326:358"] = "273311, 273297, 273331, 273317", ["272:268:0:247"] = "273318, 273298, 273336, 273303", ["218:291:174:191"] = "273324, 273292", ["266:254:289:287"] = "273330, 273291", ["237:248:288:168"] = "273329", ["247:304:431:127"] = "273322, 273320", ["261:288:607:251"] = "273309, 273286, 273310, 273328", ["311:317:575:88"] = "273325, 273307, 273308, 273319", ["265:257:533:345"] = "273296, 273300, 273285, 273287", ["249:258:479:241"] = "273304, 273305", ["307:256:7:412"] = "273326, 273333",},

	----------------------------------------------------------------------
	-- Maelstrom
	----------------------------------------------------------------------

	--[[Deepholm]] [212] = {["237:198:297:384"] = "438312", ["411:248:570:420"] = "438310, 438311", ["430:230:141:438"] = "438308, 438309", ["274:156:434:0"] = "438306, 438307", ["467:273:85:0"] = "438302, 438303, 438304, 438305", ["355:345:287:177"] = "438298, 438299, 438300, 438301", ["292:285:458:383"] = "438294, 438295, 438296, 438297", ["371:354:0:314"] = "438290, 438291, 438292, 438293", ["516:287:448:0"] = "438284, 438285, 438286, 438287, 438288, 438289", ["370:285:0:146"] = "438280, 438281, 438282, 438283", ["378:359:20:0"] = "438276, 438277, 438278, 438279", ["454:343:549:297"] = "438272, 438273, 438274, 438275", ["462:400:540:12"] = "438268, 438269, 438270, 438271",},
	--[[Kezan]] [199] = {["1002:664:0:4"] = "466830, 466834, 466835, 466836, 466837, 466838, 466839, 466840, 466841, 466831, 466832, 466833",},
	--[[The Lost Isles]] [179] = {["350:517:581:21"] = "440844, 440845, 440846, 440847, 440848, 440849", ["177:172:129:348"] = "440838", ["248:209:462:43"] = "440839", ["173:180:351:21"] = "440840", ["231:216:213:325"] = "440861", ["212:193:279:68"] = "440862", ["159:230:264:144"] = "440863", ["190:186:416:131"] = "440860", ["172:175:189:408"] = "440859", ["305:288:323:185"] = "440855, 440856, 440857, 440858", ["212:216:440:452"] = "440854", ["168:205:416:368"] = "440853", ["210:258:492:161"] = "440851, 440852", ["221:211:508:345"] = "440850", ["142:133:377:359"] = "440843", ["156:142:433:11"] = "440842", ["222:190:244:458"] = "440841",},
	--[[The Lost Isles]] [226] = {["159:230:264:144"] = "440913", ["212:193:279:68"] = "440912", ["231:216:213:325"] = "440911", ["190:186:416:131"] = "440886", ["172:175:189:408"] = "440885", ["305:288:323:185"] = "440881, 440882, 440883, 440884", ["212:216:440:452"] = "440880", ["168:205:416:368"] = "440879", ["210:258:492:161"] = "440877, 440878", ["221:211:508:345"] = "440876", ["142:133:377:359"] = "440869", ["156:142:433:11"] = "440868", ["222:190:244:458"] = "440867", ["173:180:351:21"] = "440866", ["248:209:462:43"] = "440865", ["177:172:129:348"] = "440864", ["350:517:581:21"] = "440870, 440871, 440872, 440873, 440874, 440875",},

	----------------------------------------------------------------------
	-- Pandaria
	----------------------------------------------------------------------

	--[[Dread Wastes]] [434] = {["325:270:214:311"] = "642666, 642667, 642668, 642669", ["209:318:341:125"] = "642670, 642671", ["322:211:437:313"] = "642672, 642673", ["262:293:191:122"] = "642674, 642675, 642676, 642677", ["323:194:441:224"] = "642678, 642679", ["236:206:458:110"] = "642680", ["325:190:485:0"] = "642681, 642682", ["218:186:236:32"] = "642683", ["268:241:450:406"] = "642684, 642685", ["209:234:593:92"] = "642686", ["290:283:162:385"] = "642687, 642688, 642689, 642690", ["250:218:351:0"] = "642665", },
	--[[Isle of Thunder]] [521] = {["490:290:256:378"] = "800841, 804116, 804117, 804118", ["278:325:183:95"] = "800842, 800843, 800844, 800845",},
	--[[Krasarang Wilds]] [430] = {["188:412:397:59"] = "614501,614502", ["190:282:513:3"] = "614482,614483", ["204:383:444:44"] = "614495,614496", ["211:395:125:88"] = "614497,614498", ["212:265:317:63"] = "614493,614494", ["214:393:218:77"] = "614484,614485", ["217:279:589:27"] = "614490,614491", ["219:259:300:215"] = "614499,614500", ["246:240:343:373"] = "614492",	["252:313:23:267"] = "614507,614508", ["257:300:0:79"] = "614503,614504,614505,614506", ["258:170:330:498"] = "614509,614510", ["265:194:545:205"] = "614478,614479", ["272:250:176:376"] = "614480,614481", ["286:268:701:19"] = "614486,614487,614488,614489",	["306:204:612:0"] = "614511,614512",},
	--[[Krasarang Wilds]] [499] = {["306:204:612:0"] = "660529, 660530", ["258:170:330:498"] = "660527, 660528", ["295:293:701:19"] = "660490, 660491, 660492, 660493", ["275:329:0:267"] = "660523, 660524, 660525, 660526", ["275:329:0:267"] = "660523, 660524, 660525, 660526", ["217:279:589:27"] = "660506, 660507", ["257:300:0:79"] = "660519, 660520, 660521, 660522", ["188:412:397:59"] = "660517, 660518", ["219:259:300:215"] = "660515, 660516", ["347:199:545:200"] = "660482, 660483", ["272:250:176:376"] = "660484, 660485", ["212:265:317:63"] = "660509, 660510", ["190:282:513:3"] = "660486, 660487", ["214:393:218:77"] = "660488, 660489", ["211:395:125:88"] = "660513, 660514", ["204:383:444:44"] = "660511, 660512", ["246:240:343:373"] = "660508",},
	--[[Kun-Lai Summit]] [391] = {["240:198:607:470"] = "614340", ["224:172:322:496"] = "614341", ["261:162:449:506"] = "614342, 614343", ["252:257:233:360"] = "614346, 614347", ["253:208:462:411"] = "614348", ["313:208:228:264"] = "614349, 614350", ["229:262:603:313"] = "614351, 614352", ["287:277:333:63"] = "614353, 614354, 614355, 614356", ["385:385:88:92"] = "614357, 614358, 614359, 614360", ["250:260:587:170"] = "614361, 614362", ["310:276:398:310"] = "614363, 614364, 614365, 614366", ["224:241:453:191"] = "614367", ["298:219:502:64"] = "614368, 614369", ["259:233:602:4"] = "614344, 614345",},
	--[[The Jade Forest]] [383] = {["210:158:202:0"] = "614297", ["251:348:539:43"] = "614295, 614296", ["219:186:346:482"] = "614294", ["242:210:481:215"] = "614293", ["264:211:468:295"] = "614291, 614292", ["179:180:428:416"] = "614290", ["191:216:388:299"] = "614289", ["196:158:316:0"] = "614288", ["219:205:189:151"] = "614287", ["219:256:290:330"] = "614286", ["236:142:400:146"] = "614285", ["196:166:181:75"] = "614284", ["253:229:182:214"] = "614283", ["278:310:525:358"] = "614279, 614280, 614281, 614282", ["202:204:430:21"] = "614278", ["218:148:474:520"] = "614277", ["234:210:325:178"] = "614276", ["227:198:300:56"] = "614275", },
	--[[The Veiled Stair]] [445] = {["290:191:412:477"] = "615054, 615055", ["294:220:433:0"] = "614718, 614719", ["479:493:371:175"] = "614714, 614715, 614716, 614717",},
	--[[The Wandering Isle]] [390] = {["313:321:183:198"] = "538847, 538848, 538849, 538850", ["261:315:203:36"] = "538836, 538837, 538838, 538839", ["234:286:134:9"] = "538829, 571508", ["989:466:13:202"] = "538890, 538891, 538892, 538893, 538894, 538895, 538896, 538897", ["346:263:124:405"] = "538851, 538852, 538853, 538854", ["610:374:392:294"] = "538830, 538831, 538832, 538833, 538834, 538835", ["607:461:395:182"] = "538855, 538856, 538857, 538858, 538859, 538860", ["677:668:325:0"] = "538861, 538862, 538863, 538864, 538865, 538866, 538867, 538868, 538869", ["372:475:545:12"] = "538874, 538875, 538876, 538877", ["385:373:504:295"] = "538870, 538871, 538872, 538873", ["651:262:351:406"] = "538840, 538841, 538842, 538843, 538844, 538845",},
	--[[Townlong Steppes]] [400] = {["353:200:546:468"] = "614370, 614371", ["255:269:420:209"] = "614372, 614373", ["247:221:417:447"] = "614374", ["296:359:213:241"] = "614375, 614376, 614377, 614378", ["238:296:560:185"] = "614379, 614380", ["282:306:692:362"] = "614381, 614382, 614383, 614384", ["213:170:413:385"] = "614385", ["300:246:125:0"] = "614386, 614387", ["261:235:306:433"] = "614388, 614389", ["294:283:92:192"] = "614390, 614391, 614392, 614393", ["271:205:545:369"] = "614394, 614395", },
	--[[Vale of Eternal Blossoms]] [402] = {["267:308:349:316"] = "614458, 614459, 614460, 614461", ["298:262:482:10"] = "614462, 614463, 614464, 614465", ["267:281:278:170"] = "614466, 614467, 614468, 614469", ["361:333:4:107"] = "614470, 614471, 614472, 614473", ["272:522:444:97"] = "614452, 614453, 614454, 614455, 614456, 614457", ["446:359:556:267"] = "614448, 614449, 614450, 614451", ["242:254:328:16"] = "614447", ["350:429:0:234"] = "614443, 614444, 614445, 614446", ["373:385:629:22"] = "614439, 614440, 614441, 614442", ["310:305:200:363"] = "614435, 614436, 614437, 614438", ["337:349:87:3"] = "614431, 614432, 614433, 614434",},
	--[[Valley of the Four Winds]] [388] = {["510:264:215:404"] = "615398, 615399, 615400, 615401", ["209:308:0:343"] = "615402, 615403", ["208:292:438:41"] = "615404, 615405", ["314:212:334:325"] = "615406, 615407", ["206:245:438:177"] = "615408", ["260:251:5:239"] = "615409, 615410", ["199:304:224:74"] = "615411, 615412", ["230:217:561:161"] = "615413", ["249:342:104:326"] = "615414, 615415", ["273:246:12:105"] = "615416, 615417", ["213:246:513:58"] = "615418", ["254:259:530:253"] = "615421, 615422", ["277:245:582:301"] = "615419, 615420", ["175:291:170:130"] = "615423, 615424", ["257:288:227:380"] = "615425, 615426, 615427, 615428", ["286:392:253:75"] = "615429, 615430, 615431, 615432", ["380:317:622:0"] = "615433, 615434, 615435, 615436", ["303:323:699:114"] = "615437, 615438, 615439, 615440", },

	----------------------------------------------------------------------
	-- Draenor
	----------------------------------------------------------------------

	--[[Frostfire Ridge]] [542] = {["282:341:505:323"] = "1003337, 1003338, 1003339, 1003340", ["356:303:38:117"] = "1003323, 1003324, 1003325, 1003326", ["199:335:641:304"] = "1003346, 1003347", ["251:191:306:281"] = "1003354", ["317:233:72:292"] = "1003360, 1003361", ["273:349:729:319"] = "1003329, 1003330, 1003331, 1003332", ["274:214:121:0"] = "1003334, 1003335", ["256:210:290:192"] = "1003355", ["217:239:483:33"] = "1003341", ["213:278:609:33"] = "1003352, 1003353", ["255:191:284:91"] = "1003333", ["258:217:311:4"] = "1003327, 1003328", ["329:294:673:156"] = "1003348, 1003349, 1003350, 1003351", ["267:257:336:327"] = "1027472, 1027473, 1027474, 1027475", ["178:203:597:210"] = "1003336", ["266:293:439:137"] = "1003356, 1003357, 1003358, 1003359",},
	--[[Gorgrond]] [560] = {["253:198:444:323"] = "1036389", ["217:178:259:335"] = "1036390", ["208:142:275:416"] = "1036391", ["250:232:312:77"] = "1036392", ["262:221:451:372"] = "1036393, 1036394", ["324:161:283:507"] = "1036372, 1036373", ["166:161:383:371"] = "1036374", ["210:193:525:260"] = "1036375", ["211:221:455:74"] = "1036378", ["217:180:454:183"] = "1036379", ["315:180:350:0"] = "1036387, 1036388", ["279:241:258:213"] = "1036380, 1036381", ["285:323:547:73"] = "1036383, 1036384, 1036385, 1036386", ["297:181:281:444"] = "1036376, 1036377", ["209:225:411:250"] = "1036382",},
	--[[Nagrand]] [567] = {["305:227:256:12"] = "1036396, 1036397", ["234:191:239:259"] = "1036395", ["286:274:588:0"] = "1036398, 1036399, 1036400, 1036401", ["236:372:766:118"] = "1036404, 1036405", ["471:437:0:0"] = "1036406, 1036407, 1036408, 1036409", ["236:242:283:354"] = "1036410", ["316:221:382:187"] = "1036411, 1036412", ["256:301:600:367"] = "1036402, 1036403", ["249:288:753:380"] = "1036413, 1036414", ["250:287:746:25"] = "1036415, 1036416", ["262:266:366:323"] = "1036417, 1036418, 1036419, 1036420", ["263:287:430:0"] = "1036421, 1036422, 1036423, 1036424", ["354:315:523:159"] = "1036425, 1036426, 1036427, 1036428", ["274:254:312:98"] = "1036429, 1036430", ["296:272:461:353"] = "1036431, 1036432, 1036433, 1036434", },
	--[[Shadowmoon Valley]] [556] = {["173:160:309:460"] = "1037676", ["309:264:140:160"] = "1037651, 1037652, 1037653, 1037654", ["223:279:194:0"] = "1037663, 1037664", ["393:318:537:150"] = "1037670, 1037671, 1037672, 1037673", ["260:309:26:0"] = "1037666, 1037667, 1037668, 1037669", ["346:252:270:158"] = "1037661, 1037662", ["202:201:383:411"] = "1037683", ["229:240:319:5"] = "1037665", ["291:266:426:0"] = "1037657, 1037658, 1037659, 1037660", ["282:225:259:315"] = "1037677, 1037678", ["282:201:468:467"] = "1037655, 1037656", ["288:261:453:306"] = "1037679, 1037680, 1037681, 1037682",},
	--[[Spires of Arak]] [559] = {["314:304:102:0"] = "1037694, 1037695, 1037696, 1037697", ["169:178:374:276"] = "1037704", ["252:230:281:83"] = "1037706", ["382:274:459:0"] = "1037690, 1037691, 1037692, 1037693", ["371:174:289:0"] = "1037700, 1037701", ["190:187:282:261"] = "1037689", ["238:295:520:127"] = "1037698, 1037699", ["196:284:429:84"] = "1037702, 1037703", ["198:232:521:268"] = "1037707", ["217:224:533:382"] = "1037687", ["226:193:465:475"] = "1037708", ["188:190:444:255"] = "1037686", ["229:213:197:198"] = "1037709", ["182:244:649:155"] = "1037688", ["197:179:310:328"] = "1037705", ["209:154:334:210"] = "1037684", ["229:246:410:350"] = "1037685",},
	--[[Talador]] [552] = {["497:157:207:511"] = "1036469, 1036470", ["252:280:546:228"] = "1036441, 1036442", ["389:234:597:178"] = "1036435, 1036436", ["307:229:150:264"] = "1036443, 1036444", ["292:235:567:42"] = "1036445, 1036446", ["278:270:165:364"] = "1036451, 1036452, 1036453, 1036454", ["279:267:427:0"] = "1036457, 1036458, 1036459, 1036460", ["308:276:685:298"] = "1036461, 1036462, 1036463, 1036464", ["326:212:352:271"] = "1036471, 1036472", ["406:367:173:22"] = "1036465, 1036466, 1036467, 1036468", ["225:224:472:148"] = "1036473", ["423:290:548:378"] = "1036447, 1036448, 1036449, 1036450", ["287:277:713:35"] = "1036474, 1036475, 1036476, 1036477", ["309:262:338:356"] = "1036437, 1036438, 1036439, 1036440",},
	--[[Tanaan Jungle]] [551] = {["333:437:637:136"] = "1126680, 1126681, 1126682, 1126683", ["338:254:54:94"] = "1126699, 1126700", ["248:314:170:354"] = "1126704, 1126705", ["327:241:254:262"] = "1126690, 1126691", ["365:276:392:23"] = "1126695, 1126696, 1126697, 1126698", ["209:245:0:264"] = "1126692", ["174:208:81:367"] = "1126684", ["274:251:118:194"] = "1126707, 1126708", ["223:183:392:187"] = "1126689", ["246:218:296:383"] = "1126703", ["270:208:465:313"] = "1126701, 1126702", ["238:229:501:171"] = "1126706", ["189:294:303:62"] = "1126693, 1126694", ["343:264:429:392"] = "1126685, 1126686, 1126687, 1126688",},

	----------------------------------------------------------------------
	-- Broken Isles
	----------------------------------------------------------------------

	--[[Antoran Wastes]] [910] = {["626:385:293:0"] = "1710597, 1710598, 1710599, 1710600, 1710601, 1710602", ["660:668:0:0"] = "1710603, 1710604, 1710605, 1710606, 1710607, 1710608, 1710609, 1710610, 1710611", ["467:430:535:238"] = "1710612, 1710613, 1710614, 1710615",},
	--[[Azsuna]] [653] = {["330:265:166:202"] = "1414524, 1414525, 1414526, 1414527", ["239:303:594:0"] = "1414528, 1414529", ["247:184:450:95"] = "1414530", ["321:267:281:401"] = "1414531, 1414532, 1414533, 1414534", ["351:245:219:69"] = "1414535, 1414536", ["315:185:257:0"] = "1414537, 1414538", ["272:192:441:173"] = "1414539, 1414540", ["206:266:396:244"] = "1414541, 1414542", ["220:288:523:233"] = "1414543, 1414544", ["181:243:481:340"] = "1414545", ["288:195:477:0"] = "1414546, 1414547",},
	--[[Broken Shore]] [669] = {["308:244:632:169"] = "1414556, 1414557", ["332:276:596:100"] = "1597182, 1597179, 1597167, 1597186", ["312:301:500:0"] = "1414560, 1414561, 1414562, 1414563", ["276:213:350:13"] = "1597172, 1597166", ["338:322:254:84"] = "1597169, 1597369, 1597185, 1597180", ["338:270:389:180"] = "1597181, 1597168, 1597171, 1597187", ["182:245:220:260"] = "1597370", ["387:314:312:302"] = "1597371, 1597184, 1597183, 1597170",},
	--[[Eye of Azshara]] [815] = {["848:668:39:0"] = "1417775,1417779,1417780,1417781,1417782,1417783,1417784,1417785,1417786,1417776,1417777,1417778",},
	--[[Highmountain]] [674] = {["297:250:307:75"] = "1414564, 1414565", ["256:326:172:31"] = "1414566, 1414567", ["186:213:391:408"] = "1414568", ["288:258:452:410"] = "1414569, 1414570, 1414571, 1414572", ["344:295:0:244"] = "1414573, 1414574, 1414575, 1414576", ["217:148:323:249"] = "1414577", ["214:308:314:360"] = "1414578, 1414579", ["207:302:469:45"] = "1414580, 1414581", ["283:170:331:0"] = "1414582, 1414583", ["311:229:357:179"] = "1414584, 1414585", ["341:328:494:236"] = "1414586, 1414587, 1414588, 1414589", ["445:326:0:342"] = "1414590, 1414591, 1414592, 1414593", ["244:199:332:302"] = "1414594", ["172:204:249:236"] = "1414595", ["110:98:445:190"] = "1467065",},
	--[[Krokuun]] [855] = {["296:336:371:178"] = "1710644, 1710645, 1710646, 1710647", ["307:304:428:364"] = "1710648, 1710649, 1710650, 1710651", ["835:422:167:0"] = "1710652, 1710653, 1710654, 1710655, 1710656, 1710657, 1710658, 1710659", ["445:379:557:289"] = "1710660, 1710661, 1710662, 1710663", ["498:530:37:138"] = "1710664, 1710665, 1710666, 1710667, 1710668, 1710669",},
	--[[Mac'Aree]] [907] = {["313:353:498:111"] = "1710616, 1710617, 1710618, 1710619", ["265:310:278:284"] = "1710620, 1710621, 1710622, 1710623", ["463:519:265:54"] = "1710624, 1710625, 1710626, 1710627, 1710628, 1710629", ["498:461:0:0"] = "1710630, 1710631, 1710632, 1710633", ["284:264:410:375"] = "1710634, 1710635, 1710636, 1710637", ["701:323:0:0"] = "1710638, 1710639, 1710640, 1710641, 1710642, 1710643",},
	--[[Stormheim]] [657] = {["199:185:361:210"] = "1414596", ["297:210:154:129"] = "1414597, 1414598", ["215:247:457:412"] = "1414599", ["173:163:648:339"] = "1414601", ["252:280:585:372"] = "1414602, 1414603", ["200:174:612:187"] = "1414604", ["509:251:17:0"] = "1414611, 1414612", ["150:180:741:313"] = "1414613", ["241:194:345:95"] = "1414614", ["631:315:0:353"] = "1414605, 1414606, 1414607, 1414608, 1414609, 1414610", ["135:162:623:81"] = "1414615", ["194:214:592:226"] = "1414616", ["289:172:689:0"] = "1414617, 1417748", ["177:169:506:345"] = "1414618", ["132:145:689:266"] = "1414600", ["291:208:316:282"] = "1414620, 1414621", ["205:199:479:183"] = "1414622", ["186:158:522:288"] = "1414623", ["386:314:56:185"] = "1414624, 1414625, 1414626, 1414627", ["180:160:510:118"] = "1414619",},
	--[[Suramar]] [704] = {["222:311:132:179"] = "1414628, 1414629", ["327:381:492:0"] = "1414630, 1414631, 1414632, 1414633", ["248:317:23:136"] = "1414634, 1414635", ["289:363:183:305"] = "1414636, 1414637, 1414638, 1414639", ["355:291:344:285"] = "1414640, 1414641, 1414642, 1414643", ["419:538:583:0"] = "1414644, 1414645, 1414646, 1414647, 1414648, 1414649", ["480:245:58:0"] = "1414650, 1414651", ["428:316:201:0"] = "1414652, 1414653, 1414654, 1414655", ["221:224:264:226"] = "1414656", ["470:337:390:331"] = "1414657, 1414658, 1414659, 1414660", ["387:372:327:0"] = "1414661, 1414662, 1414663, 1414664", },
	--[[Val'sharah]] [664] = {["241:240:587:250"] = "1414665", ["239:301:136:274"] = "1414673, 1414674", ["250:253:262:175"] = "1414666", ["311:244:259:275"] = "1414667, 1414668", ["294:364:283:0"] = "1414669, 1414670, 1414671, 1414672", ["171:150:457:351"] = "1414675", ["177:156:467:413"] = "1414676", ["274:344:610:18"] = "1414677, 1414678, 1414679, 1414680", ["254:281:549:380"] = "1414681, 1414682", ["326:360:419:0"] = "1414683, 1414684, 1414685, 1414686", ["341:188:324:480"] = "1414687, 1414688", ["216:219:459:240"] = "1414689", ["218:168:342:416"] = "1414690",},

	----------------------------------------------------------------------
	-- Kul Tiras
	----------------------------------------------------------------------

	--[[Drustvar]] [921] = {
	["770:1181:2386:1049"] = "2038067,2038078,2038080,2038081,2038082,2038083,2038084,2038085,2038086,2038068,2038069,2038070,2038071,2038072,2038073,2038074,2038075,2038076,2038077,2038079",
	["948:1081:1644:361"] = "2038047,2038058,2038060,2038061,2038062,2038063,2038064,2038065,2038066,2038048,2038049,2038050,2038051,2038052,2038053,2038054,2038055,2038056,2038057,2038059",
	["1079:1204:1261:0"] = "2038112,2038123,2038130,2038131,2038132,2038133,2038134,2038135,2038136,2038113,2038114,2038115,2038116,2038117,2038118,2038119,2038120,2038121,2038122,2038124,2038125,2038126,2038127,2038128,2038129",
	["1090:1169:1847:1025"] = "2038087,2038098,2038105,2038106,2038107,2038108,2038109,2038110,2038111,2038088,2038089,2038090,2038091,2038092,2038093,2038094,2038095,2038096,2038097,2038099,2038100,2038101,2038102,2038103,2038104",
	["1125:880:1812:760"] = "2037819,2037830,2037832,2037833,2037834,2037835,2037836,2037837,2037838,2037820,2037821,2037822,2037823,2037824,2037825,2037826,2037827,2037828,2037829,2037831",
	["1139:1154:377:939"] = "2037884,2037895,2037902,2037903,2037904,2037905,2037906,2037907,2037908,2037885,2037886,2037887,2037888,2037889,2037890,2037891,2037892,2037893,2037894,2037896,2037897,2037898,2037899,2037900,2037901",
	["1154:1059:1839:0"] = "2037839,2037850,2037857,2037858,2037859,2037860,2037861,2037862,2037863,2037840,2037841,2037842,2037843,2037844,2037845,2037846,2037847,2037848,2037849,2037851,2037852,2037853,2037854,2037855,2037856",
	["1188:1421:933:863"] = "2037789,2037800,2037811,2037813,2037814,2037815,2037816,2037817,2037818,2037790,2037791,2037792,2037793,2037794,2037795,2037796,2037797,2037798,2037799,2037801,2037802,2037803,2037804,2037805,2037806,2037807,2037808,2037809,2037810,2037812",
	["1239:839:388:570"] = "2037864,2037875,2037877,2037878,2037879,2037880,2037881,2037882,2037883,2037865,2037866,2037867,2037868,2037869,2037870,2037871,2037872,2037873,2037874,2037876",
	["1373:1010:0:0"] = "2038137,2038148,2038154,2038155,2038156,2038157,2038158,2038159,2038160,2038138,2038139,2038140,2038141,2038142,2038143,2038144,2038145,2038146,2038147,2038149,2038150,2038151,2038152,2038153",
	["1424:1026:438:0"] = "2038197,2038208,2038219,2038221,2038222,2038223,2038224,2038225,2038226,2038198,2038199,2038200,2038201,2038202,2038203,2038204,2038205,2038206,2038207,2038209,2038210,2038211,2038212,2038213,2038214,2038215,2038216,2038217,2038218,2038220",
	["1521:1323:1212:1237"] = "2038161,2038172,2038183,2038191,2038192,2038193,2038194,2038195,2038196,2038162,2038163,2038164,2038165,2038166,2038167,2038168,2038169,2038170,2038171,2038173,2038174,2038175,2038176,2038177,2038178,2038179,2038180,2038181,2038182,2038184,2038185,2038186,2038187,2038188,2038189,2038190",
	},
	--[[Stormsong Valley]] [967] = {
	["859:1050:840:475"] = "2033179,2033190,2033192,2033193,2033194,2033195,2033196,2033197,2033198,2033180,2033181,2033182,2033183,2033184,2033185,2033186,2033187,2033188,2033189,2033191",
	["929:1380:1365:0"] = "2033137,2033148,2033154,2033155,2033156,2033157,2033158,2033159,2033160,2033138,2033139,2033140,2033141,2033142,2033143,2033144,2033145,2033146,2033147,2033149,2033150,2033151,2033152,2033153",
	["1030:1134:1288:1426"] = "2033070,2033081,2033088,2033089,2033090,2033091,2033092,2033093,2033094,2033071,2033072,2033073,2033074,2033075,2033076,2033077,2033078,2033079,2033080,2033082,2033083,2033084,2033085,2033086,2033087",
	["1052:1466:1918:0"] = "2033199,2033210,2033221,2033223,2033224,2033225,2033226,2033227,2033228,2033200,2033201,2033202,2033203,2033204,2033205,2033206,2033207,2033208,2033209,2033211,2033212,2033213,2033214,2033215,2033216,2033217,2033218,2033219,2033220,2033222",
	["1167:1224:1750:1336"] = "2033045,2033056,2033063,2033064,2033065,2033066,2033067,2033068,2033069,2033046,2033047,2033048,2033049,2033050,2033051,2033052,2033053,2033054,2033055,2033057,2033058,2033059,2033060,2033061,2033062",
	["1325:1981:2515:0"] = "2033229,2033240,2033251,2033262,2033272,2033273,2033274,2033275,2033276,2033230,2033231,2033232,2033233,2033234,2033235,2033236,2033237,2033238,2033239,2033241,2033242,2033243,2033244,2033245,2033246,2033247,2033248,2033249,2033250,2033252,2033253,2033254,2033255,2033256,2033257,2033258,2033259,2033260,2033261,2033263,2033264,2033265,2033266,2033267,2033268,2033269,2033270,2033271",
	["1403:711:1153:1056"] = "2033161,2033171,2033172,2033173,2033174,2033175,2033176,2033177,2033178,2033162,2033163,2033164,2033165,2033166,2033167,2033168,2033169,2033170",
	["1628:1457:0:1103"] = "2033415,2033426,2033437,2033448,2033452,2033453,2033454,2033455,2033456,2033416,2033417,2033418,2033419,2033420,2033421,2033422,2033423,2033424,2033425,2033427,2033428,2033429,2033430,2033431,2033432,2033433,2033434,2033435,2033436,2033438,2033439,2033440,2033441,2033442,2033443,2033444,2033445,2033446,2033447,2033449,2033450,2033451",
	["1659:1491:2181:1069"] = "2033095,2033106,2033117,2033128,2033132,2033133,2033134,2033135,2033136,2033096,2033097,2033098,2033099,2033100,2033101,2033102,2033103,2033104,2033105,2033107,2033108,2033109,2033110,2033111,2033112,2033113,2033114,2033115,2033116,2033118,2033119,2033120,2033121,2033122,2033123,2033124,2033125,2033126,2033127,2033129,2033130,2033131",
	},
	--[[Tiragarde Sound]] [920] = {
	["828:899:766:100"] = "2033569,2033577,2033578,2033579,2033580,2033581,2033582,2033583,2033584,2033570,2033571,2033572,2033573,2033574,2033575,2033576",
	["859:788:1108:451"] = "2033457,2033465,2033466,2033467,2033468,2033469,2033470,2033471,2033472,2033458,2033459,2033460,2033461,2033462,2033463,2033464",
	["891:1057:2852:1503"] = "2033625,2033636,2033638,2033639,2033640,2033641,2033642,2033643,2033644,2033626,2033627,2033628,2033629,2033630,2033631,2033632,2033633,2033634,2033635,2033637",
	["908:1284:1538:176"] = "2033545,2033556,2033562,2033563,2033564,2033565,2033566,2033567,2033568,2033546,2033547,2033548,2033549,2033550,2033551,2033552,2033553,2033554,2033555,2033557,2033558,2033559,2033560,2033561",
	["953:1223:1772:1199"] = "2033783,2033794,2033796,2033797,2033798,2033799,2033800,2033801,2033802,2033784,2033785,2033786,2033787,2033788,2033789,2033790,2033791,2033792,2033793,2033795",
	["978:1171:2054:995"] = "2033585,2033596,2033598,2033599,2033600,2033601,2033602,2033603,2033604,2033586,2033587,2033588,2033589,2033590,2033591,2033592,2033593,2033594,2033595,2033597",
	["1047:821:2314:1739"] = "2033525,2033536,2033538,2033539,2033540,2033541,2033542,2033543,2033544,2033526,2033527,2033528,2033529,2033530,2033531,2033532,2033533,2033534,2033535,2033537",
	["1242:944:2451:1035"] = "2033605,2033616,2033618,2033619,2033620,2033621,2033622,2033623,2033624,2033606,2033607,2033608,2033609,2033610,2033611,2033612,2033613,2033614,2033615,2033617",
	["1306:678:802:0"] = "2033803,2033813,2033814,2033815,2033816,2033817,2033818,2033819,2033820,2033804,2033805,2033806,2033807,2033808,2033809,2033810,2033811,2033812",
	["1432:1009:2117:332"] = "2033473,2033484,2033490,2033491,2033492,2033493,2033494,2033495,2033496,2033474,2033475,2033476,2033477,2033478,2033479,2033480,2033481,2033482,2033483,2033485,2033486,2033487,2033488,2033489",
	["1777:900:1806:0"] = "2033497,2033508,2033518,2033519,2033520,2033521,2033522,2033523,2033524,2033498,2033499,2033500,2033501,2033502,2033503,2033504,2033505,2033506,2033507,2033509,2033510,2033511,2033512,2033513,2033514,2033515,2033516,2033517",
	},

	----------------------------------------------------------------------
	-- Zandalar
	----------------------------------------------------------------------

	--[[Nazmir]] [888] = {
	["800:991:1511:1043"] = "2023713,2023721,2023722,2023723,2023724,2023725,2023726,2023727,2023728,2023714,2023715,2023716,2023717,2023718,2023719,2023720",
	["841:1075:1807:1043"] = "2023997,2024008,2024010,2024011,2024012,2024013,2024014,2024015,2024016,2023998,2023999,2024000,2024001,2024002,2024003,2024004,2024005,2024006,2024007,2024009",
	["1065:1103:2309:210"] = "2023868,2023879,2023886,2023887,2023888,2023889,2023890,2023891,2023892,2023869,2023870,2023871,2023872,2023873,2023874,2023875,2023876,2023877,2023878,2023880,2023881,2023882,2023883,2023884,2023885",
	["1098:996:2349:871"] = "2023693,2023704,2023706,2023707,2023708,2023709,2023710,2023711,2023712,2023694,2023695,2023696,2023697,2023698,2023699,2023700,2023701,2023702,2023703,2023705",
	["1157:967:484:1539"] = "2023923,2023934,2023936,2023937,2023938,2023939,2023940,2023941,2023942,2023924,2023925,2023926,2023927,2023928,2023929,2023930,2023931,2023932,2023933,2023935",
	["1225:1249:620:565"] = "2024017,2024028,2024035,2024036,2024037,2024038,2024039,2024040,2024041,2024018,2024019,2024020,2024021,2024022,2024023,2024024,2024025,2024026,2024027,2024029,2024030,2024031,2024032,2024033,2024034",
	["1289:809:1072:1676"] = "2023943,2023954,2023960,2023961,2023962,2023963,2023964,2023965,2023966,2023944,2023945,2023946,2023947,2023948,2023949,2023950,2023951,2023952,2023953,2023955,2023956,2023957,2023958,2023959",
	["1349:1029:1682:0"] = "2023967,2023978,2023989,2023991,2023992,2023993,2023994,2023995,2023996,2023968,2023969,2023970,2023971,2023972,2023973,2023974,2023975,2023976,2023977,2023979,2023980,2023981,2023982,2023983,2023984,2023985,2023986,2023987,2023988,2023990",
	["1534:1119:1097:281"] = "2023893,2023904,2023915,2023917,2023918,2023919,2023920,2023921,2023922,2023894,2023895,2023896,2023897,2023898,2023899,2023900,2023901,2023902,2023903,2023905,2023906,2023907,2023908,2023909,2023910,2023911,2023912,2023913,2023914,2023916",
	},
	--[[Vol'dun]] [889] = {
	["666:856:1180:1255"] = "2033961,2033965,2033966,2033967,2033968,2033969,2033970,2033971,2033972,2033962,2033963,2033964",
	["769:816:739:1332"] = "2033973,2033981,2033982,2033983,2033984,2033985,2033986,2033987,2033988,2033974,2033975,2033976,2033977,2033978,2033979,2033980",
	["794:542:1362:2018"] = "2033949,2033953,2033954,2033955,2033956,2033957,2033958,2033959,2033960,2033950,2033951,2033952",
	["849:672:1316:895"] = "2033865,2033869,2033870,2033871,2033872,2033873,2033874,2033875,2033876,2033866,2033867,2033868",
	["881:897:1006:341"] = "2033917,2033925,2033926,2033927,2033928,2033929,2033930,2033931,2033932,2033918,2033919,2033920,2033921,2033922,2033923,2033924",
	["913:727:2063:517"] = "2033877,2033881,2033882,2033883,2033884,2033885,2033886,2033887,2033888,2033878,2033879,2033880",
	["915:966:1579:220"] = "2033933,2033941,2033942,2033943,2033944,2033945,2033946,2033947,2033948,2033934,2033935,2033936,2033937,2033938,2033939,2033940",
	["926:688:807:1801"] = "2033905,2033909,2033910,2033911,2033912,2033913,2033914,2033915,2033916,2033906,2033907,2033908",
	["969:835:1880:859"] = "2033889,2033897,2033898,2033899,2033900,2033901,2033902,2033903,2033904,2033890,2033891,2033892,2033893,2033894,2033895,2033896",
	["1086:703:576:902"] = "2033989,2033996,2033997,2033998,2033999,2034000,2034001,2034002,2034003,2033990,2033991,2033992,2033993,2033994,2033995",
	["1139:822:1569:1281"] = "2033845,2033856,2033858,2033859,2033860,2033861,2033862,2033863,2033864,2033846,2033847,2033848,2033849,2033850,2033851,2033852,2033853,2033854,2033855,2033857",
	["1223:843:1733:0"] = "2034004,2034015,2034017,2034018,2034019,2034020,2034021,2034022,2034023,2034005,2034006,2034007,2034008,2034009,2034010,2034011,2034012,2034013,2034014,2034016",
	["1287:876:1469:1684"] = "2033821,2033832,2033838,2033839,2033840,2033841,2033842,2033843,2033844,2033822,2033823,2033824,2033825,2033826,2033827,2033828,2033829,2033830,2033831,2033833,2033834,2033835,2033836,2033837",
	},
	--[[Zuldazar]] [887] = {
	["699:1207:1815:260"] = "2034238,2034245,2034246,2034247,2034248,2034249,2034250,2034251,2034252,2034239,2034240,2034241,2034242,2034243,2034244",
	["726:617:2631:1023"] = "2034361,2034362,2034363,2034364,2034365,2034366,2034367,2034368,2034369",
	["769:967:2107:327"] = "2034321,2034329,2034330,2034331,2034332,2034333,2034334,2034335,2034336,2034322,2034323,2034324,2034325,2034326,2034327,2034328",
	["793:668:2685:633"] = "2034211,2034215,2034216,2034217,2034218,2034219,2034220,2034221,2034222,2034212,2034213,2034214",
	["888:1512:1312:82"] = "2034269,2034280,2034286,2034287,2034288,2034289,2034290,2034291,2034292,2034270,2034271,2034272,2034273,2034274,2034275,2034276,2034277,2034278,2034279,2034281,2034282,2034283,2034284,2034285",
	["934:830:2325:1270"] = "2034253,2034261,2034262,2034263,2034264,2034265,2034266,2034267,2034268,2034254,2034255,2034256,2034257,2034258,2034259,2034260",
	["943:1559:2144:0"] = "2034293,2034304,2034314,2034315,2034316,2034317,2034318,2034319,2034320,2034294,2034295,2034296,2034297,2034298,2034299,2034300,2034301,2034302,2034303,2034305,2034306,2034307,2034308,2034309,2034310,2034311,2034312,2034313",
	["979:912:2409:0"] = "2034400,2034408,2034409,2034410,2034411,2034412,2034413,2034414,2034415,2034401,2034402,2034403,2034404,2034405,2034406,2034407",
	["999:1344:1825:1216"] = "2034337,2034348,2034354,2034355,2034356,2034357,2034358,2034359,2034360,2034338,2034339,2034340,2034341,2034342,2034343,2034344,2034345,2034346,2034347,2034349,2034350,2034351,2034352,2034353",
	["1130:672:1357:0"] = "2034223,2034230,2034231,2034232,2034233,2034234,2034235,2034236,2034237,2034224,2034225,2034226,2034227,2034228,2034229",
	["1243:1287:1046:1273"] = "2034370,2034381,2034392,2034394,2034395,2034396,2034397,2034398,2034399,2034371,2034372,2034373,2034374,2034375,2034376,2034377,2034378,2034379,2034380,2034382,2034383,2034384,2034385,2034386,2034387,2034388,2034389,2034390,2034391,2034393",
	["1650:1565:321:378"] = "2034162,2034173,2034184,2034195,2034206,2034207,2034208,2034209,2034210,2034163,2034164,2034165,2034166,2034167,2034168,2034169,2034170,2034171,2034172,2034174,2034175,2034176,2034177,2034178,2034179,2034180,2034181,2034182,2034183,2034185,2034186,2034187,2034188,2034189,2034190,2034191,2034192,2034193,2034194,2034196,2034197,2034198,2034199,2034200,2034201,2034202,2034203,2034204,2034205",
	},
	--[[Nazjatar]] [1186] = {
	["1224:1131:935:1429"] = "3020691, 3020702, 3020709, 3020710, 3020711, 3020712, 3020713, 3020714, 3020715, 3020692, 3020693, 3020694, 3020695, 3020696, 3020697, 3020698, 3020699, 3020700, 3020701, 3020703, 3020704, 3020705, 3020706, 3020707, 3020708", 
	["1411:710:895:1151"] = "3020640, 3020650, 3020651, 3020652, 3020653, 3020654, 3020655, 3020656, 3020657, 3020641, 3020642, 3020643, 3020644, 3020645, 3020646, 3020647, 3020648, 3020649", 
	["510:520:1653:708"] = "3020618, 3020619, 3020620, 3020621, 3020622, 3020623", 
	["527:528:1987:49"] = "3020682, 3020683, 3020684, 3020685, 3020686, 3020687, 3020688, 3020689, 3020690", 
	["558:602:1297:693"] = "3020732, 3020733, 3020734, 3020735, 3020736, 3020737, 3020738, 3020739, 3020740", 
	["583:800:2321:57"] = "3020574, 3020578, 3020579, 3020580, 3020581, 3020582, 3020583, 3020584, 3020585, 3020575, 3020576, 3020577", 
	["648:650:1876:340"] = "3020549, 3020550, 3020551, 3020552, 3020553, 3020554, 3020555, 3020556, 3020557", 
	["703:905:2213:691"] = "3020658, 3020662, 3020663, 3020664, 3020665, 3020666, 3020667, 3020668, 3020669, 3020659, 3020660, 3020661", 
	["737:461:1570:1432"] = "3020676, 3020677, 3020678, 3020679, 3020680, 3020681", 
	["738:490:1007:1200"] = "3020670, 3020671, 3020672, 3020673, 3020674, 3020675", 
	["770:835:1110:118"] = "3020716, 3020724, 3020725, 3020726, 3020727, 3020728, 3020729, 3020730, 3020731, 3020717, 3020718, 3020719, 3020720, 3020721, 3020722, 3020723", 
	["783:597:2574:909"] = "3020598, 3020602, 3020603, 3020604, 3020605, 3020606, 3020607, 3020608, 3020609, 3020599, 3020600, 3020601", 
	["790:517:1360:1027"] = "3020586, 3020590, 3020591, 3020592, 3020593, 3020594, 3020595, 3020596, 3020597, 3020587, 3020588, 3020589", 
	["795:866:1863:804"] = "3020558, 3020566, 3020567, 3020568, 3020569, 3020570, 3020571, 3020572, 3020573, 3020559, 3020560, 3020561, 3020562, 3020563, 3020564, 3020565", 
	["815:1065:729:315"] = "3020529, 3020540, 3020542, 3020543, 3020544, 3020545, 3020546, 3020547, 3020548, 3020530, 3020531, 3020532, 3020533, 3020534, 3020535, 3020536, 3020537, 3020538, 3020539, 3020541", 
	["850:835:1469:50"] = "3020624, 3020632, 3020633, 3020634, 3020635, 3020636, 3020637, 3020638, 3020639, 3020625, 3020626, 3020627, 3020628, 3020629, 3020630, 3020631", 
	["979:480:2502:692"] = "3020610, 3020611, 3020612, 3020613, 3020614, 3020615, 3020616, 3020617", 
	["990:564:2490:365"] = "3020741, 3020745, 3020746, 3020747, 3020748, 3020749, 3020750, 3020751, 3020752, 3020742, 3020743, 3020744",
	},
	--[[Mechagon Island]] [1276] = {
	["1009:1191:1910:557"] = "3022276, 3022287, 3022289, 3022290, 3022291, 3022292, 3022293, 3022294, 3022295, 3022277, 3022278, 3022279, 3022280, 3022281, 3022282, 3022283, 3022284, 3022285, 3022286, 3022288", 
	["1014:1022:2513:406"] = "3022368, 3022376, 3022377, 3022378, 3022379, 3022380, 3022381, 3022382, 3022383, 3022369, 3022370, 3022371, 3022372, 3022373, 3022374, 3022375", 
	["1049:1055:2791:121"] = "3022412, 3022423, 3022430, 3022431, 3022432, 3022433, 3022434, 3022435, 3022436, 3022413, 3022414, 3022415, 3022416, 3022417, 3022418, 3022419, 3022420, 3022421, 3022422, 3022424, 3022425, 3022426, 3022427, 3022428, 3022429", 
	["1169:1264:1154:496"] = "3022251, 3022262, 3022269, 3022270, 3022271, 3022272, 3022273, 3022274, 3022275, 3022252, 3022253, 3022254, 3022255, 3022256, 3022257, 3022258, 3022259, 3022260, 3022261, 3022263, 3022264, 3022265, 3022266, 3022267, 3022268", 
	["1366:1426:2172:1134"] = "3022332, 3022343, 3022354, 3022362, 3022363, 3022364, 3022365, 3022366, 3022367, 3022333, 3022334, 3022335, 3022336, 3022337, 3022338, 3022339, 3022340, 3022341, 3022342, 3022344, 3022345, 3022346, 3022347, 3022348, 3022349, 3022350, 3022351, 3022352, 3022353, 3022355, 3022356, 3022357, 3022358, 3022359, 3022360, 3022361", 
	["1424:1511:46:978"] = "3022437, 3022448, 3022459, 3022467, 3022468, 3022469, 3022470, 3022471, 3022472, 3022438, 3022439, 3022440, 3022441, 3022442, 3022443, 3022444, 3022445, 3022446, 3022447, 3022449, 3022450, 3022451, 3022452, 3022453, 3022454, 3022455, 3022456, 3022457, 3022458, 3022460, 3022461, 3022462, 3022463, 3022464, 3022465, 3022466", 
	["1479:1338:1125:1222"] = "3022296, 3022307, 3022318, 3022326, 3022327, 3022328, 3022329, 3022330, 3022331, 3022297, 3022298, 3022299, 3022300, 3022301, 3022302, 3022303, 3022304, 3022305, 3022306, 3022308, 3022309, 3022310, 3022311, 3022312, 3022313, 3022314, 3022315, 3022316, 3022317, 3022319, 3022320, 3022321, 3022322, 3022323, 3022324, 3022325", 
	["1723:945:1315:40"] = "3022384, 3022395, 3022405, 3022406, 3022407, 3022408, 3022409, 3022410, 3022411, 3022385, 3022386, 3022387, 3022388, 3022389, 3022390, 3022391, 3022392, 3022393, 3022394, 3022396, 3022397, 3022398, 3022399, 3022400, 3022401, 3022402, 3022403, 3022404",
	},
}

-- Create table to store revealed overlays
local overlayTextures = {}

-- Function to refresh overlays (Blizzard_SharedMapDataProviders\MapExplorationDataProvider)
local function RefMap(self, fullUpdate)
	overlayTextures = {}
	local mapID = WorldMapFrame.mapID; if not mapID then return end
	local artID = C_Map.GetMapArtID(mapID); if not artID or not MapInfoData[artID] then return end
	local MapInfoZone = MapInfoData[artID]


	-- Store already explored tiles in a table so they can be ignored
	local TileExists = {}
	local exploredMapTextures = C_MapExplorationInfo.GetExploredMapTextures(mapID)
	if exploredMapTextures then
		for i, exploredTextureInfo in ipairs(exploredMapTextures) do
			local key = exploredTextureInfo.textureWidth .. ":" .. exploredTextureInfo.textureHeight .. ":" .. exploredTextureInfo.offsetX .. ":" .. exploredTextureInfo.offsetY
			TileExists[key] = true
		end
	end

	-- Get the sizes
	self.layerIndex = self:GetMap():GetCanvasContainer():GetCurrentLayerIndex()
	local layers = C_Map.GetMapArtLayers(mapID)
	local layerInfo = layers and layers[self.layerIndex]
	if not layerInfo then return end
	local TILE_SIZE_WIDTH = layerInfo.tileWidth
	local TILE_SIZE_HEIGHT = layerInfo.tileHeight

	-- Show textures if they are in database and have not been explored
	for key, files in pairs(MapInfoZone) do
		if not TileExists[key] then
			local width, height, offsetX, offsetY = strsplit(":", key)
			local fileDataIDs = { strsplit(",", files) }
			local numTexturesWide = ceil(width/TILE_SIZE_WIDTH)
			local numTexturesTall = ceil(height/TILE_SIZE_HEIGHT)
			local texturePixelWidth, textureFileWidth, texturePixelHeight, textureFileHeight
			for j = 1, numTexturesTall do
				if ( j < numTexturesTall ) then
					texturePixelHeight = TILE_SIZE_HEIGHT
					textureFileHeight = TILE_SIZE_HEIGHT
				else
					texturePixelHeight = mod(height, TILE_SIZE_HEIGHT)
					if ( texturePixelHeight == 0 ) then
						texturePixelHeight = TILE_SIZE_HEIGHT
					end
					textureFileHeight = 16
					while(textureFileHeight < texturePixelHeight) do
						textureFileHeight = textureFileHeight * 2
					end
				end
				for k = 1, numTexturesWide do
					local texture = self.overlayTexturePool:Acquire()
					if ( k < numTexturesWide ) then
						texturePixelWidth = TILE_SIZE_WIDTH
						textureFileWidth = TILE_SIZE_WIDTH
					else
						texturePixelWidth = mod(width, TILE_SIZE_WIDTH)
						if ( texturePixelWidth == 0 ) then
							texturePixelWidth = TILE_SIZE_WIDTH
						end
						textureFileWidth = 16
						while(textureFileWidth < texturePixelWidth) do
							textureFileWidth = textureFileWidth * 2
						end
					end
					texture:SetSize(texturePixelWidth, texturePixelHeight)
					texture:SetTexCoord(0, texturePixelWidth/textureFileWidth, 0, texturePixelHeight/textureFileHeight)
					texture:SetPoint("TOPLEFT", offsetX + (TILE_SIZE_WIDTH * (k-1)), -(offsetY + (TILE_SIZE_HEIGHT * (j - 1))))
					texture:SetTexture(tonumber(fileDataIDs[((j - 1) * numTexturesWide) + k]), nil, nil, "TRILINEAR")
					texture:SetDrawLayer("ARTWORK", -1)
					if optRevealMap == "On" then 
						texture:Show()
					else
						texture:Hide()
					end
					tinsert(overlayTextures, texture)
					if fullUpdate then
						self.textureLoadGroup:AddTexture(texture)
					end
				end
			end
		end
	end
end

-- Show overlays on startup
for pin in WorldMapFrame:EnumeratePinsByTemplate("MapExplorationPinTemplate") do
	hooksecurefunc(pin, "RefreshOverlays", function() RefMap(pin, fullUpdate) end)
end

-- Toggle overlays when reveal button is clicked
revBtn:HookScript("OnClick", function()
	if optRevealMap == "On" then 
		for i = 1, #overlayTextures  do
			overlayTextures[i]:Hide()
		end
		optRevealMap = "Off"
	else
		for i = 1, #overlayTextures  do
			overlayTextures[i]:Show()
		end	
		optRevealMap = "On"
	end
	SetRevBtn()
end)

----------------------------------------------------------------------
-- Character coordinates
----------------------------------------------------------------------

-- Create character coordinates frame
local cChar = CreateFrame("Frame", nil, WorldMapFrame.BorderFrame)
cChar:SetWidth(38); cChar:SetHeight(16)
cChar:SetPoint("TOPRIGHT", revBtn, "TOPLEFT", -7, -4)

cChar.x = cChar:CreateFontString(nil, "ARTWORK", "GameFontNormal") 
cChar.x:SetAllPoints(); cChar.x:SetJustifyH"LEFT"

cChar.y = cChar:CreateFontString(nil, "ARTWORK", "GameFontNormal") 
cChar.y:SetPoint("LEFT", cChar.x, "RIGHT", 0, 0)
cChar.y:SetJustifyH"LEFT"

-- Initialisation
local mapRects = {}
local tempVec2D = CreateVector2D(0, 0)
local cMapID, void

-- Function to get player map position
local function GetPlayerMapPos(cMapID)
	tempVec2D.x, tempVec2D.y = UnitPosition("player")
	if not tempVec2D.x then return end
	local mapRect = mapRects[cMapID]
	if not mapRect then
		mapRect = {}
		void, mapRect[1] = C_Map.GetWorldPosFromMapPos(cMapID, CreateVector2D(0, 0))
		void, mapRect[2] = C_Map.GetWorldPosFromMapPos(cMapID, CreateVector2D(1, 1))
		mapRect[2]:Subtract(mapRect[1])
		mapRects[cMapID] = mapRect
	end
	tempVec2D:Subtract(mapRects[cMapID][1])
	return tempVec2D.y/mapRects[cMapID][2].y, tempVec2D.x/mapRects[cMapID][2].x
end

-- Set MapID on zone changes and hide coordinates frame if player zone is different to map
hooksecurefunc(WorldMapFrame, "OnMapChanged", function(self)
	if WorldMapFrame.mapID == C_Map.GetBestMapForUnit("player") then
		cMapID = self:GetMapID()
		cChar:Show()
	else
		cMapID = nil
		cChar:Hide()
	end
end)

-- Function to update coordinates
local cx, cy
local stimer = 0
local function UpdateCoords(self, elapsed)
	stimer = stimer + elapsed
	if stimer > 0.2 then
		if not cMapID then
			cChar.x:SetText("") 
			cChar.y:SetText("")
		else
			cx, cy = GetPlayerMapPos(cMapID)
			if not cx or (cx == 0 and cy == 0) then
				cChar.x:SetText("") 
				cChar.y:SetText("")
			else
				cChar.x:SetFormattedText("%0.1f", 100 * cx) 
				cChar.y:SetFormattedText("%0.1f", 100 * cy)
			end
		end
		stimer = 0
	end
end

-- Update coordinates when the frame is being shown and on startup
cChar:SetScript("OnUpdate", UpdateCoords)
UpdateCoords(self, 1)

-- Hide coordinates frame when player zone is different to world map
cChar:RegisterEvent("ZONE_CHANGED_NEW_AREA")
cChar:RegisterEvent("ZONE_CHANGED")
cChar:RegisterEvent("ZONE_CHANGED_INDOORS")
cChar:RegisterEvent("NEW_WMO_CHUNK")
cChar:SetScript("OnEvent", function()
	if WorldMapFrame.mapID == C_Map.GetBestMapForUnit("player") then
		cMapID = WorldMapFrame.mapID
		cChar:Show()
	else
		cMapID = nil
		cChar:Hide()
	end
end)

----------------------------------------------------------------------
-- Cursor coordinates
----------------------------------------------------------------------

-- Create cursor coordinates frame
local cCursor = CreateFrame("FRAME", nil, WorldMapFrame.BorderFrame)
cCursor:SetWidth(38); cCursor:SetHeight(16)
cCursor:SetPoint("TOPRIGHT", cChar, "TOPLEFT", -50, 0)

cCursor.x = cCursor:CreateFontString(nil, "ARTWORK", "GameFontNormal") 
cCursor.x:SetAllPoints(); cCursor.x:SetJustifyH"LEFT"

cCursor.y = cCursor:CreateFontString(nil, "ARTWORK", "GameFontNormal") 
cCursor.y:SetPoint("LEFT", cCursor.x, "RIGHT", 0, 0)
cCursor.y:SetJustifyH"LEFT"

-- Initialise timer
local mTimer = 0

-- Cursor coordinates update function
local function UpdateCursorCoords(self, elapsed)
	mTimer = mTimer + elapsed
	if mTimer > 0.1 then
		local x, y = WorldMapFrame.ScrollContainer:GetNormalizedCursorPosition()
		if x and y and MouseIsOver(WorldMapFrame.ScrollContainer) then
			cCursor.x:SetFormattedText("%0.1f", (floor(x * 1000 + 0.5)) / 10)
			cCursor.y:SetFormattedText("%0.1f", (floor(y * 1000 + 0.5)) / 10)
		else
			cCursor.x:SetText("")
			cCursor.y:SetText("")
		end
		mTimer = 0
	end
end
cCursor:SetScript("OnUpdate", UpdateCursorCoords)
